#reset the entire map



#send out information
tellraw @s ["",{"text":"[","color":"gold"},{"text":"Adventure Map Helper","color":"light_purple"},{"text":"]","color":"gold"},{"text":" Set your simulation distance to 32 when using this function. "},{"text":"Teleport to x:0 & z:0 for proper map reset.","color":"red","clickEvent":{"action":"run_command","value":"/tp @s 0 71 0"}},{"text":" Goop on the ground will not be reset."}]


#general settings
advancement revoke @a everything
time set 10000
xp set @a 0 levels
xp set @a 0 points
gamerule spawnRadius 0
setworldspawn 4 -44 333
function ercerus:water_gun/reset
kill @e[tag=water_canister]
kill @e[tag=goop_blob]
clear @a
effect clear @a
tag @a remove health_boost
tag @a remove infinite_water
tag @a remove 2x_water_capacity
tag @a remove clean_the_island_music
tag @a remove no_news_in_special_area
tag @a add no_news
tag @a remove spawner
tag @a remove pink_spawner
tag @a remove toxic_spawner
tag @a remove spread_pink_goop
tag @a remove spread_toxic_goop
tag @a remove plays_the_map
tag @a remove no_collectibles_tracking_messages


#forceload all important chunks
kill @e[tag=last_location]
forceload remove all
function ercerus:reset/load_all_always_load_chunks


#deactivate the news starting mechanism, once players have left the port
setblock -15 -1 115 minecraft:bedrock


#deactivate the ambient particles
setblock 4 -1 120 minecraft:redstone_block


#make sure the water refill mechanic from the tutorial has been turned of
setblock -15 -6 115 minecraft:bedrock


#remove all the island's inhabitants and tourists (sea creatures spawn and despawn automatically)
#destroy bee nests, so the bees are properly reset
setblock 109 74 -27 minecraft:air
setblock 246 69 -43 minecraft:air
setblock 193 73 -257 minecraft:air
setblock -235 70 26 minecraft:air
setblock -286 79 -137 minecraft:air
setblock -182 70 123 minecraft:air
setblock -236 80 -267 minecraft:air
setblock -238 80 -269 minecraft:air
setblock -237 79 -268 minecraft:air
setblock -239 82 -268 minecraft:air
setblock -239 81 -267 minecraft:air
setblock -238 77 -268 minecraft:air


#campfires
setblock 224 64 -264 minecraft:campfire[facing=north,lit=true,signal_fire=false,waterlogged=false]
setblock 211 64 -271 minecraft:campfire[facing=north,lit=true,signal_fire=false,waterlogged=false]
setblock 197 64 -277 minecraft:campfire[facing=north,lit=true,signal_fire=false,waterlogged=false]
setblock 185 64 -282 minecraft:campfire[facing=north,lit=true,signal_fire=false,waterlogged=false]
setblock -5 65 -35 minecraft:campfire[facing=north,lit=true,signal_fire=false,waterlogged=false]
setblock -154 68 2 minecraft:campfire[facing=north,lit=true,signal_fire=false,waterlogged=false]
setblock -9 64 -127 minecraft:campfire[facing=north,lit=true,signal_fire=false,waterlogged=false]
setblock -215 64 4 minecraft:campfire[facing=north,lit=true,signal_fire=false,waterlogged=false]
setblock 412 66 436 minecraft:campfire[facing=north,lit=true,signal_fire=false,waterlogged=false]
setblock -129 63 -227 minecraft:campfire[facing=north,lit=true,signal_fire=false,waterlogged=false]
setblock -274 64 -237 minecraft:campfire[facing=north,lit=true,signal_fire=false,waterlogged=false]


#kill all
tp @e[tag=decorative_animal] 0 -10000 0
tp @e[type=parrot] 0 -10000 0
tp @e[type=horse] 0 -10000 0
tp @e[type=cat] 0 -10000 0
tp @e[type=rabbit] 0 -10000 0
tp @e[tag=inhabitant] 0 -10000 0
kill @e[tag=inhabitant]
tp @e[tag=plaperla] 0 -10000 0
kill @e[tag=plaperla]
tp @e[tag=tourist,type=!marker] 0 -10000 0
kill @e[tag=tourist,type=!marker]
kill @e[tag=trader]
kill @e[tag=advertiser]
execute as @e[tag=spawner] at @s run kill @e[tag=spawner_model_display]
execute as @e[tag=spawner] at @s run function ercerus:spawner/kill_spawner
tp @e[tag=enemy] 0 -10000 0
kill @e[tag=underwater_bubble_emitter]


#summon decorative animals
#place bee nests and summon bees
setblock 109 74 -27 minecraft:bee_nest[facing=west,honey_level=0]{Bees:[]}
execute positioned 108.5 73.5 -26.5 run function ercerus:npc/bee_4x
setblock 246 69 -43 minecraft:bee_nest[facing=north,honey_level=0]{Bees:[]}
execute positioned 246.5 68.5 -43.5 run function ercerus:npc/bee_4x
setblock 193 73 -257 minecraft:bee_nest[facing=west,honey_level=0]{Bees:[]}
execute positioned 192.5 72.5 -257.5 run function ercerus:npc/bee_4x
setblock -235 70 26 minecraft:bee_nest[facing=south,honey_level=0]{Bees:[]}
execute positioned -233.5 69.0 27.5 run function ercerus:npc/bee_4x
setblock -286 79 -137 minecraft:bee_nest[facing=south,honey_level=0]{Bees:[]}
execute positioned -285.5 78.5 -135.5 run function ercerus:npc/bee_4x
setblock -182 70 123 minecraft:bee_nest[facing=east,honey_level=0]{Bees:[]}
execute positioned -180.5 69.0 123.5 run function ercerus:npc/bee_4x
setblock -236 80 -267 minecraft:bee_nest[facing=east,honey_level=0]{Bees:[]}
setblock -238 80 -269 minecraft:bee_nest[facing=north,honey_level=0]{Bees:[]}
setblock -237 79 -268 minecraft:bee_nest[facing=north,honey_level=0]{Bees:[]}
setblock -239 82 -268 minecraft:bee_nest[facing=west,honey_level=0]{Bees:[]}
setblock -239 81 -267 minecraft:bee_nest[facing=west,honey_level=0]{Bees:[]}
setblock -238 77 -268 minecraft:bee_nest[facing=west,honey_level=0]{Bees:[]}
execute positioned -237.5 80.0 -269.5 run function ercerus:npc/bee_4x
execute positioned -239.5 81.0 -266.5 run function ercerus:npc/bee_4x


#summon the other animals
#parrots
execute positioned 89.5 71.0 199.5 run function ercerus:npc/parrot
execute positioned 89.5 71.0 198.5 run function ercerus:npc/parrot
execute positioned 114.5 86.0 195.5 run function ercerus:npc/parrot
execute positioned 95.5 72.0 217.5 run function ercerus:npc/parrot
execute positioned 78.5 72.0 214.5 run function ercerus:npc/parrot
execute positioned 114.5 74.0 -5.5 run function ercerus:npc/parrot
execute positioned 137.5 72.0 -43.5 run function ercerus:npc/parrot
execute positioned 227.5 73.0 -59.5 run function ercerus:npc/parrot
execute positioned 235.5 73.0 -41.5 run function ercerus:npc/parrot
execute positioned 116.5 72.0 -200.5 run function ercerus:npc/parrot
execute positioned -136.5 70.0 209.5 run function ercerus:npc/parrot
execute positioned -134.5 71.0 213.5 run function ercerus:npc/parrot
execute positioned -106.5 71.0 215.5 run function ercerus:npc/parrot
execute positioned -113.5 68.1 189.5 run function ercerus:npc/parrot
execute positioned -311.5 69.0 18.5 run function ercerus:npc/parrot
execute positioned -350.5 70.0 -28.5 run function ercerus:npc/parrot
execute positioned -338.5 66.0 -27.5 run function ercerus:npc/parrot
execute positioned -289.5 79.0 -125.5 run function ercerus:npc/parrot
execute positioned -291.5 80.0 -124.5 run function ercerus:npc/parrot
execute positioned -283.5 90.0 -206.5 run function ercerus:npc/parrot
execute positioned -233.5 102.0 -245.5 run function ercerus:npc/parrot
execute positioned -210.5 79.0 -261.5 run function ercerus:npc/parrot
execute positioned -169.5 74.0 -295.5 run function ercerus:npc/parrot
execute positioned -224.5 70.0 178.5 run function ercerus:npc/parrot
execute positioned -255.5 98.0 216.5 run function ercerus:npc/parrot
execute positioned -256.5 93.0 234.5 run function ercerus:npc/parrot
execute positioned -91.5 72.0 -150.5 run function ercerus:npc/parrot
execute positioned -79.5 79.0 -129.5 run function ercerus:npc/parrot
execute positioned 410.5 73.0 423.5 run function ercerus:npc/parrot
execute positioned 411.5 74.0 420.5 run function ercerus:npc/parrot
execute positioned 435.5 73.0 445.5 run function ercerus:npc/parrot
execute positioned -72.5 212.0 404.5 run function ercerus:npc/parrot
execute positioned -39.5 224.0 397.5 run function ercerus:npc/parrot
execute positioned -174.5 80.0 35.5 run function ercerus:npc/parrot
execute positioned -139.5 94.0 41.5 run function ercerus:npc/parrot
execute positioned -121.5 76.0 -271.5 run function ercerus:npc/parrot
execute positioned -124.5 76.0 -270.5 run function ercerus:npc/parrot
setblock 124 76 -25 minecraft:turtle_egg[eggs=1,hatch=0]
setblock -85 74 93 minecraft:turtle_egg[eggs=1,hatch=0]
setblock 44 110 -75 minecraft:turtle_egg[eggs=4,hatch=0]
setblock -290 93 -219 minecraft:turtle_egg[eggs=4,hatch=0]
setblock -222 115 -220 minecraft:turtle_egg[eggs=3,hatch=0]
setblock -195 86 -277 minecraft:turtle_egg[eggs=1,hatch=0]
setblock -64 110 -57 minecraft:turtle_egg[eggs=3,hatch=0]
setblock 412 74 420 minecraft:turtle_egg[eggs=1,hatch=0]
setblock -72 212 403 minecraft:turtle_egg[eggs=4,hatch=0]
setblock -77 232 353 minecraft:turtle_egg[eggs=1,hatch=0]

#ocelots
execute positioned 87.5 68.0 -243.5 run function ercerus:npc/ocelot
execute positioned 201.5 68.0 -254.5 run function ercerus:npc/ocelot
execute positioned 229.5 68.0 -65.5 run function ercerus:npc/ocelot
execute positioned 119.5 70.0 -25.5 run function ercerus:npc/ocelot
execute positioned 105.5 68.0 -6.5 run function ercerus:npc/ocelot
execute positioned -228.5 69.0 -211.5 run function ercerus:npc/ocelot
execute positioned -193.5 72.0 -277.5 run function ercerus:npc/ocelot
execute positioned -150.5 67.0 -174.5 run function ercerus:npc/ocelot

#cats
execute positioned -18.5 67.0 -199.5 run function ercerus:npc/cat
execute positioned 99.5 67.0 223.5 run function ercerus:npc/cat
execute positioned 58.5 66.0 220.5 run function ercerus:npc/cat
execute positioned 89.5 66.0 195.5 run function ercerus:npc/cat
execute positioned -22.5 65.0 112.5 run function ercerus:npc/cat
execute positioned -114.5 65.0 206.5 run function ercerus:npc/cat
#spa
execute positioned -137.5 80.0 -201.5 run function ercerus:npc/cat
execute positioned -136.5 87.0 -220.5 run function ercerus:npc/cat
execute positioned -120.5 70.0 -260.5 run function ercerus:npc/cat

#foxes
execute positioned 116.5 69.0 -0.5 run function ercerus:npc/sun_fox
execute positioned 127.5 67.0 -42.5 run function ercerus:npc/sun_fox
execute positioned 179.5 65.0 -196.5 run function ercerus:npc/sun_fox
execute positioned -118.5 65.0 153.5 run function ercerus:npc/sun_fox
execute positioned -308.5 64.0 20.5 run function ercerus:npc/sun_fox
execute positioned -292.5 69.0 -201.5 run function ercerus:npc/sun_fox
execute positioned 418.5 66.0 433.5 run function ercerus:npc/sun_fox
execute positioned 396.5 65.0 458.5 run function ercerus:npc/sun_fox

#horses
execute positioned 197.5 65.0 -24.5 run function ercerus:npc/horse
execute positioned -73.5 65.0 2.5 run function ercerus:npc/horse
execute positioned -214.5 66.0 -156.5 run function ercerus:npc/horse

#turtles
execute positioned -151.5 64.0 -293.5 run function ercerus:npc/turtle
setblock -153 64 -295 minecraft:turtle_egg[eggs=1,hatch=0]
setblock -152 64 -296 minecraft:turtle_egg[eggs=4,hatch=0]
setblock -151 64 -296 minecraft:turtle_egg[eggs=2,hatch=0]
execute positioned -360.5 64.0 127.5 run function ercerus:npc/turtle
setblock -361 64 128 minecraft:turtle_egg[eggs=1,hatch=0]
setblock -362 64 128 minecraft:turtle_egg[eggs=3,hatch=0]
execute positioned -123.5 64.0 148.5 run function ercerus:npc/turtle
setblock -125 64 149 minecraft:turtle_egg[eggs=4,hatch=0]
execute positioned 211.5 64.0 22.5 run function ercerus:npc/turtle
setblock 208 64 22 minecraft:turtle_egg[eggs=4,hatch=0]
setblock 209 64 22 minecraft:turtle_egg[eggs=2,hatch=0]
execute positioned 445.5 64.0 459.5 run function ercerus:npc/turtle
setblock 443 64 458 minecraft:turtle_egg[eggs=3,hatch=0]
setblock 443 64 459 minecraft:turtle_egg[eggs=1,hatch=0]

#rabbits
execute positioned -259.5 67.0 239.5 run function ercerus:npc/rabbit
execute positioned -162.5 65.0 114.5 run function ercerus:npc/rabbit
execute positioned -298.5 72.0 108.5 run function ercerus:npc/rabbit
execute positioned -288.5 74.0 -149.5 run function ercerus:npc/rabbit
execute positioned -267.5 67.0 -200.5 run function ercerus:npc/rabbit
execute positioned -188.5 71.0 -268.5 run function ercerus:npc/rabbit
execute positioned -59.5 94.0 -90.5 run function ercerus:npc/rabbit
execute positioned 45.5 65.0 -150.5 run function ercerus:npc/rabbit
execute positioned 120.5 70.0 -11.5 run function ercerus:npc/rabbit
execute positioned 226.5 67.0 -57.5 run function ercerus:npc/rabbit
execute positioned 191.5 66.0 -225.5 run function ercerus:npc/rabbit
execute positioned 109.5 67.0 -218.5 run function ercerus:npc/rabbit
execute positioned 123.5 65.0 82.5 run function ercerus:npc/rabbit
execute positioned 100.5 65.0 164.5 run function ercerus:npc/rabbit
execute positioned -200.5 66.0 -181.5 run function ercerus:npc/rabbit
#rabbits in the animal enclosure
execute positioned 181.5 65.0 140.5 run function ercerus:npc/rabbit
execute positioned 182.5 65.0 142.5 run function ercerus:npc/rabbit
execute positioned 180.5 65.0 147.5 run function ercerus:npc/rabbit
execute positioned 184.5 65.0 147.5 run function ercerus:npc/rabbit
execute positioned 187.5 65.0 146.5 run function ercerus:npc/rabbit
execute positioned 188.5 65.0 150.5 run function ercerus:npc/rabbit
execute positioned 187.5 65.0 153.5 run function ercerus:npc/rabbit
execute positioned 192.5 65.0 152.5 run function ercerus:npc/rabbit
execute positioned 192.5 65.0 158.5 run function ercerus:npc/rabbit
execute positioned 188.5 65.0 157.5 run function ercerus:npc/rabbit_baby
execute positioned 183.5 65.0 154.5 run function ercerus:npc/rabbit_baby
#baby rabbits in hideouts
execute positioned -113.5 78.0 -14.5 run function ercerus:npc/rabbit_baby
execute positioned -113.5 78.0 -15.0 run function ercerus:npc/rabbit_baby
execute positioned -65.5 79.0 -109.5 run function ercerus:npc/rabbit_baby
execute positioned -65.5 79.0 -108.5 run function ercerus:npc/rabbit_baby

#sheep
execute positioned 127.5 65.0 121.5 run function ercerus:npc/sheep
execute positioned 122.5 65.0 120.5 run function ercerus:npc/sheep
execute positioned 115.5 65.0 118.5 run function ercerus:npc/sheep
execute positioned 132.5 65.0 121.5 run function ercerus:npc/sheep
execute positioned 135.5 65.0 127.5 run function ercerus:npc/sheep
execute positioned 104.5 65.0 114.5 run function ercerus:npc/sheep
execute positioned 115.5 65.0 120.5 run function ercerus:npc/sheep
execute positioned 111.5 65.0 119.5 run function ercerus:npc/sheep

#chicken
execute positioned 150.5 65.0 122.5 run function ercerus:npc/chicken
execute positioned 151.5 65.0 126.5 run function ercerus:npc/chicken
execute positioned 157.5 65.0 129.5 run function ercerus:npc/chicken
execute positioned 158.5 65.0 132.5 run function ercerus:npc/chicken
execute positioned 161.5 65.0 131.5 run function ercerus:npc/chicken
execute positioned 162.5 65.0 135.5 run function ercerus:npc/chicken
execute positioned 167.5 65.0 130.5 run function ercerus:npc/chicken
execute positioned 169.5 65.0 137.5 run function ercerus:npc/chicken
execute positioned 150.5 65.0 125.5 run function ercerus:npc/chicken

#pig
execute positioned 245.5 67.0 -68.5 run function ercerus:npc/pig
execute positioned 6.5 87.0 -106.5 run function ercerus:npc/pig
execute positioned -36.5 66.0 -116.5 run function ercerus:npc/pig
execute positioned -90.5 95.0 -46.5 run function ercerus:npc/pig
execute positioned 16.5 74.0 -0.5 run function ercerus:npc/pig
execute positioned 13.5 66.0 -15.5 run function ercerus:npc/pig
execute positioned -126.5 65.0 109.5 run function ercerus:npc/pig
execute positioned -254.5 69.0 224.5 run function ercerus:npc/pig
execute positioned -324.5 73.0 137.5 run function ercerus:npc/pig
execute positioned -287.5 64.0 31.5 run function ercerus:npc/pig
execute positioned -294.5 69.0 -90.5 run function ercerus:npc/pig
execute positioned -275.5 70.0 -183.5 run function ercerus:npc/pig
execute positioned -232.5 71.0 -241.5 run function ercerus:npc/pig
execute positioned -174.5 68.0 -292.5 run function ercerus:npc/pig
execute positioned -153.5 72.0 24.5 run function ercerus:npc/pig
execute positioned -190.5 66.0 -16.5 run function ercerus:npc/pig

#moobloom
execute positioned 115.5 69.0 -32.5 run function ercerus:npc/moobloom/dandelion
execute positioned 289.5 69.0 7.5 run function ercerus:npc/moobloom/dandelion
execute positioned 209.5 66.0 -261.5 run function ercerus:npc/moobloom/dandelion
execute positioned 83.5 68.0 64.5 run function ercerus:npc/moobloom/poppy
execute positioned -227.5 68.0 -131.0 run function ercerus:npc/moobloom/poppy
execute positioned -36.5 65.0 105.5 run function ercerus:npc/moobloom/allium
execute positioned 19.0 100.0 -100.0 run function ercerus:npc/moobloom/allium
execute positioned -123.5 66.0 75.5 run function ercerus:npc/moobloom/bamboo
execute positioned -309.5 68.0 -135.5 run function ercerus:npc/moobloom/bamboo
execute positioned 37.5 72.0 -135.5 run function ercerus:npc/moobloom/blue_orchid
execute positioned 81.0 67.0 -273.0 run function ercerus:npc/moobloom/blue_orchid
execute positioned 430.5 66.0 462.5 run function ercerus:npc/moobloom/blue_orchid
execute positioned -256.5 69.0 -63.5 run function ercerus:npc/moobloom/blue_orchid


#summon inhabitants
#hospital
execute positioned -3.0 66.0 78.0 run function ercerus:npc/inhabitant/brown/doctor
execute positioned -3.3 67.0 76.5 run function ercerus:npc/inhabitant/gray/dancing
execute positioned 1.8 66.0 70.5 run function ercerus:npc/inhabitant/black/doctor
execute positioned 5.5 66.5 78.5 run function ercerus:npc/inhabitant/yellow/sitting_moving
execute positioned -4.5 66.5 82.5 run function ercerus:npc/inhabitant/brown/sitting_still
execute positioned -4.5 66.5 82.5 run data modify entity @e[limit=1,sort=nearest,tag=inhabitant] Rotation[0] set value 270f
#police station
execute positioned 17.0 66.0 80.0 run function ercerus:npc/inhabitant/white/police_officer
execute positioned 19.5 66.0 82.0 run function ercerus:npc/inhabitant/gray/police_officer
#store
execute positioned -18.0 65.0 90.8 run function ercerus:npc/inhabitant/black/employee
#theater
execute positioned 189.0 65.0 -46.0 run function ercerus:npc/inhabitant/brown/torch_flower_chain
execute positioned 158.5 59.0 -29.5 run function ercerus:npc/inhabitant/gray/poppy_flower_chain
execute positioned 158.5 59.0 -29.5 run tag @e[tag=inhabitant,limit=1,sort=nearest] add actor
execute positioned 160.5 59.0 -28.5 run function ercerus:npc/inhabitant/black/sitting_still
execute positioned 160.5 59.0 -28.5 run tag @e[tag=inhabitant,limit=1,sort=nearest] add actor
execute positioned 160.5 59.0 -28.5 run data modify entity @e[limit=1,sort=nearest,tag=inhabitant] Rotation[0] set value 180f
execute positioned 159.5 59.0 -32.5 run function ercerus:npc/inhabitant/yellow/police_officer
execute positioned 159.5 59.0 -32.5 run tag @e[tag=inhabitant,limit=1,sort=nearest] add actor
#lighthouse
execute positioned -206.0 65.0 70.0 run function ercerus:npc/inhabitant/gray/blue_orchid_flower_chain
execute positioned -382.0 83.0 135.0 run function ercerus:npc/inhabitant/yellow/poppy_flower_chain_lying
execute positioned -382.0 83.0 135.0 run data modify entity @e[limit=1,sort=nearest,tag=inhabitant] Rotation[0] set value 45f
execute positioned -383.4 83.0 134.0 run function ercerus:npc/inhabitant/white/torch_flower_chain_lying
execute positioned -383.4 83.0 134.0 run data modify entity @e[limit=1,sort=nearest,tag=inhabitant] Rotation[0] set value 80f
#fruit gardens
execute positioned -278.5 90.0 -131.5 run function ercerus:npc/inhabitant/yellow/default
execute positioned -271.5 82.0 -131.5 run function ercerus:npc/inhabitant/white/default
execute positioned -213.5 100.0 -264.5 run function ercerus:npc/inhabitant/black/default
execute positioned -208.0 74.0 -266.0 run function ercerus:npc/inhabitant/brown/blue_orchid_flower_chain
execute positioned -273.5 64.0 -238.5 run function ercerus:npc/inhabitant/brown/poppy_flower_chain_dancing
execute positioned -274.5 64.0 -235.0 run function ercerus:npc/inhabitant/gray/torch_flower_chain_dancing
execute positioned -294.0 74.0 -127.5 run function ercerus:npc/inhabitant/black/poppy_flower_chain
execute positioned -305.5 87.0 -124.5 run function ercerus:npc/inhabitant/gray/default
execute positioned -261.5 96.0 -206.5 run function ercerus:npc/inhabitant/brown/default
execute positioned -261.5 98.0 -242.5 run function ercerus:npc/inhabitant/brown/torch_flower_chain_flying
execute positioned -216.5 105.0 -267.0 run function ercerus:npc/inhabitant/yellow/blue_orchid_flower_chain_lying
execute positioned -216.5 105.0 -267.0 run data modify entity @e[limit=1,sort=nearest,tag=inhabitant] Rotation[0] set value 20f
#pavillion
execute positioned 54.5 67.0 87.5 run function ercerus:npc/inhabitant/white/poppy_flower_chain
#sinter cave
execute positioned 104.5 18.0 30.5 run function ercerus:npc/inhabitant/gray/torch_flower_chain
execute positioned 65.0 66.0 -19.0 run function ercerus:npc/inhabitant/black/blue_orchid_flower_chain
#radio station
execute positioned 64.5 93.5 -58.5 run function ercerus:npc/inhabitant/white/sitting_still
execute positioned 64.5 93.5 -66.5 run function ercerus:npc/inhabitant/black/sitting_still
execute positioned 64.5 93.5 -66.5 run data modify entity @e[limit=1,sort=nearest,tag=inhabitant] Rotation[0] set value 180f
execute positioned 64.0 93.07 -61.5 run function ercerus:npc/inhabitant/yellow/torch_flower_chain
#hotel
execute positioned 216.5 65.0 -146.5 run function ercerus:npc/inhabitant/brown/employee
execute positioned 271.5 65.0 -115.5 run function ercerus:npc/inhabitant/yellow/torch_flower_chain
execute positioned 271.5 65.0 -119.5 run function ercerus:npc/inhabitant/gray/blue_orchid_flower_chain
#ships
execute positioned -193.5 65.0 -372.5 run function ercerus:npc/inhabitant/gray/default
execute positioned 430.5 65.5 331.5 run function ercerus:npc/inhabitant/white/default
execute positioned 57.5 65.0 268.5 run function ercerus:npc/inhabitant/brown/blue_orchid_flower_chain
execute positioned -106.5 65.0 461.5 run function ercerus:npc/inhabitant/yellow/poppy_flower_chain
execute positioned -36.0 64.0 -261.5 run function ercerus:npc/inhabitant/white/blue_orchid_flower_chain
execute positioned 398.5 68.5 -392.5 run function ercerus:npc/inhabitant/black/blue_orchid_flower_chain_dancing
execute positioned 397.0 68.5 -391.0 run function ercerus:npc/inhabitant/brown/torch_flower_chain_dancing
execute positioned 397.5 68.5 -391.5 run tag @e[tag=inhabitant,limit=2,sort=nearest] add silent
execute positioned 403.2 68.5 -388.5 run function ercerus:npc/inhabitant/yellow/sitting_still
execute positioned 402.5 68.0 -388.5 run data modify entity @e[limit=1,sort=nearest,tag=inhabitant] Rotation[0] set value 90f
execute positioned 409.5 64.5 -394.5 run function ercerus:npc/inhabitant/gray/sitting_still
execute positioned 409.5 64.5 -394.5 run data modify entity @e[limit=1,sort=nearest,tag=inhabitant] Rotation[0] set value 45f
execute positioned 414.0 64.56 -388.7 run function ercerus:npc/inhabitant/brown/lying
execute positioned 414.0 64.56 -388.7 run data modify entity @e[limit=1,sort=nearest,tag=inhabitant] Rotation[0] set value 90f
#historical merchant ship
execute positioned -463.5 70.0 88.1 run function ercerus:npc/inhabitant/black/employee
execute positioned -463.5 64.0 87.5 run function ercerus:npc/inhabitant/brown/employee
execute positioned -463.5 69.0 76.5 run function ercerus:npc/inhabitant/yellow/employee
#balloon landing pad
execute positioned 21.5 91.0 19.5 run function ercerus:npc/inhabitant/yellow/blue_orchid_flower_chain_flying
#big airship
execute positioned -368.5 153.5 -282.5 run function ercerus:npc/inhabitant/yellow/sitting_still
execute positioned -365.5 153.5 -282.5 run function ercerus:npc/inhabitant/brown/sitting_still
execute positioned -369.5 153.0 -286.5 run function ercerus:npc/inhabitant/white/employee
#small airships
execute positioned -418.5 140.5 -221.5 run function ercerus:npc/inhabitant/black/sitting_still
execute positioned -41.5 164.5 -275.5 run function ercerus:npc/inhabitant/gray/sitting_still
execute positioned -41.5 164.5 -275.5 run data modify entity @e[limit=1,sort=nearest,tag=inhabitant] Rotation[0] set value 90f
execute positioned 414.5 130.5 -194.5 run function ercerus:npc/inhabitant/white/sitting_still
execute positioned 414.5 130.5 -194.5 run data modify entity @e[limit=1,sort=nearest,tag=inhabitant] Rotation[0] set value 180f
#submarines
execute positioned -14.5 53.5 -307.5 run function ercerus:npc/inhabitant/white/sitting_still
execute positioned -14.5 53.5 -307.5 run data modify entity @e[limit=1,sort=nearest,tag=inhabitant] Rotation[0] set value -90f
execute positioned 449.5 53.5 -68.5 run function ercerus:npc/inhabitant/gray/sitting_still
execute positioned 449.5 53.5 -68.5 run data modify entity @e[limit=1,sort=nearest,tag=inhabitant] Rotation[0] set value 180f
#pool palm
execute positioned -116.0 69.0 20.0 run function ercerus:npc/inhabitant/white/poppy_flower_chain
execute positioned -153.5 78.0 47.5 run function ercerus:npc/inhabitant/black/blue_orchid_flower_chain_dancing
#cloudy goop
execute positioned -53.5 222.5 383.5 run function ercerus:npc/inhabitant/black/poppy_flower_chain_flying
execute positioned -83.0 213.5 423.5 run function ercerus:npc/inhabitant/brown/torch_flower_chain_flying
execute positioned -64.5 215.5 348.5 run function ercerus:npc/inhabitant/gray/blue_orchid_flower_chain_flying
#water jet islands
execute positioned -411.5 132.0 -102.5 run function ercerus:npc/inhabitant/gray/blue_orchid_flower_chain_flying
execute positioned -423.5 117.0 -120.5 run function ercerus:npc/inhabitant/black/poppy_flower_chain_flying
#airstrip
#all of them get spawned once the spawners have been defeated
#ferry
execute positioned -386.5 68.5 415.5 run function ercerus:npc/inhabitant/brown/sitting_still
execute positioned -386.5 68.5 415.5 run data modify entity @e[limit=1,sort=nearest,tag=inhabitant] Rotation[0] set value 270f
execute positioned -375.0 64.0 417.0 run function ercerus:npc/inhabitant/white/poppy_flower_chain
#small restaurant near the balloon take off pad
execute positioned -52.0 72.0 29.0 run function ercerus:npc/inhabitant/brown/poppy_flower_chain
execute positioned -52.0 72.0 34.0 run function ercerus:npc/inhabitant/gray/blue_orchid_flower_chain
#cargo ship
execute positioned 28.0 71.0 422.0 run function ercerus:npc/inhabitant/brown/police_officer
#inhabitants, which are stuck in goop
execute positioned -101.5 68.0 43.5 run function ercerus:npc/inhabitant/white/stuck_in_pink_goop
execute positioned -87.5 89.0 -98.5 run function ercerus:npc/inhabitant/gray/stuck_in_pink_goop
execute positioned 208.5 68.0 -245.5 run function ercerus:npc/inhabitant/black/stuck_in_pink_goop
execute positioned 322.5 65.0 135.5 run function ercerus:npc/inhabitant/yellow/stuck_in_pink_goop
execute positioned -303.5 101.0 -129.5 run function ercerus:npc/inhabitant/brown/stuck_in_pink_goop
#village
execute positioned 120.7 67.56 205.1 run function ercerus:npc/inhabitant/gray/blue_orchid_flower_chain_lying

#summon tourists
#beach
execute positioned 168.5 64.0 -113.5 run function ercerus:npc/tourist/1
execute positioned 118.5 64.0 -301.5 run function ercerus:npc/tourist/4
#ships
execute positioned 355.0 67.0 26.0 run function ercerus:npc/tourist/2
execute positioned -52.5 64.0 401.5 run function ercerus:npc/tourist/5
#historical merchant ship
execute positioned -465.5 67.0 70.5 run function ercerus:npc/tourist/1
#lighthouse
execute positioned -281.5 71.0 101.5 run function ercerus:npc/tourist/1
execute positioned -282.5 71.0 103.0 run function ercerus:npc/tourist/6
#bell tower
execute positioned 252.5 66.0 26.5 run function ercerus:npc/tourist/1
execute positioned 251.5 66.0 28.5 run function ercerus:npc/tourist/4
#mushroom cave
execute positioned 33.5 82.0 -120.5 run function ercerus:npc/tourist/4
#big airship
execute positioned -371.0 153.0 -296.5 run function ercerus:npc/tourist/1
execute positioned -370.5 153.0 -293.5 run function ercerus:npc/tourist/5
#small airships
execute positioned -419.5 140.07 -228.5 run function ercerus:npc/tourist/4
execute positioned 414.5 130.08 -188.5 run function ercerus:npc/tourist/5
#jumping tourists
execute positioned -145.0 66.0 -68.0 run function ercerus:npc/tourist/3.1
execute positioned -144.5 66.0 -71.0 run function ercerus:npc/tourist/3.2
#camping ground
execute positioned -157.5 67.0 -3.5 run function ercerus:npc/tourist/5
#pool palm
execute positioned -157.5 80.0 38.5 run function ercerus:npc/tourist/5
#airstrip
#get spawned once the spawners have been defeated
#holiday homes
execute positioned -246.5 66.0 -50.5 run function ercerus:npc/tourist/5
execute positioned -256.5 66.0 -34.5 run function ercerus:npc/tourist/4
#fruit gardens
execute positioned -298.5 68.0 -199.5 run function ercerus:npc/tourist/6
#underwater restaurant
execute positioned 309.5 46.0 -206.5 run function ercerus:npc/tourist/5
#cargo ship
execute positioned 27.5 71.0 423.5 run function ercerus:npc/tourist/sailor_captain
execute positioned 27.5 71.0 423.5 run tag @e[limit=1,sort=nearest,tag=sailor] add no_thought_bubble
execute positioned 27.5 71.0 419.5 run function ercerus:npc/tourist/sailor
execute positioned 27.5 71.0 419.5 run tag @e[limit=1,sort=nearest,tag=sailor] add no_thought_bubble
execute positioned 46.0 67.0 422.5 run function ercerus:npc/tourist/sailor
execute positioned 25.5 63.0 427.0 run function ercerus:npc/tourist/sailor
execute positioned 25.5 63.0 427.0 run tag @e[limit=1,sort=nearest,tag=sailor] add no_thought_bubble
execute positioned 55.5 63.0 422.0 run function ercerus:npc/tourist/sailor
execute positioned 55.5 63.0 422.0 run tag @e[limit=1,sort=nearest,tag=sailor] add no_thought_bubble


#reset areas
#books
setblock -224 65 -46 minecraft:lectern[facing=south,has_book=true,powered=false]{Book:{components:{"minecraft:written_book_content":{author:"A Guide to Isle Granchio",pages:[{raw:'{"extra":[{"color":"blue","text":"    Unique aroma"},"\\n\\nA keen visitor may have noticed that some of our big fruits can be found sitting next to the small, but thick, white Blantiana trees. This will cause their unique aroma to seek into the fruits, giving them a taste and smell very different from the"],"text":""}'},{raw:'"original fruit\'s taste. Blantiana trees grow extremely slowly, and none of the seeded ones on farms from over 7 decades ago are big enough to be used, yet. Sadly, too many fruits next to it can cause the plant\'s decay and ultimately its death. This is why production of Blantiana-enriched"'},{raw:'{"extra":["fruits is so low. Subsequently, prices for all but native island inhabitants are very high, and they generate the third-highest income for the island (after tourism and big fruit exports).\\n\\n",{"color":"blue","italic":true,"text":"- A Guide to Isle\\n  Granchio"}],"text":""}'}],resolved:1b,title:{raw:"Unique aroma"}}},count:1,id:"minecraft:written_book"},Page:0} destroy
setblock -86 77 -147 minecraft:lectern[facing=south,has_book=true,powered=false]{Book:{components:{"minecraft:written_book_content":{author:"A Guide to Isle Granchio",pages:[{raw:'{"extra":[{"color":"blue","text":"   Riding the Waves"},"\\n\\nThe ship you just found belonged to the feared pirate J.P. Kavanzman. Legend says, he could call giant waves upon his targets to smash them up and then loot said ships. One day however, during a long lull, he supposedly called a"],"text":""}'},{raw:'{"extra":["wave onto his own ship, to get it going. It worked, but he did not consider that he had to stop the wave again at some point. Failing to do so, he crashed into this exact spot here on Isle Granchio, flooding the island in the process.\\n\\n",{"color":"blue","italic":true,"text":"- A Guide to Isle\\n  Granchio"}],"text":""}'}],resolved:1b,title:{raw:"Riding the Waves"}}},count:1,id:"minecraft:written_book"},Page:0} destroy
setblock -181 87 -12 minecraft:lectern[facing=north,has_book=true,powered=false]{Book:{components:{"minecraft:written_book_content":{author:"A Guide to Isle Granchio",pages:[{raw:'{"extra":[{"color":"blue","text":"    The Old Palace"},"\\n\\nThe ruins up on this plateau are the remnants of the palace built by/for the felirex\\nPurr\'r\'m\'Meow\'Hiss\'Er. Felirex would best be translated as duke or king. She ruled about 2,600 years ago and her palace has been a source of many"],"text":""}'},{raw:'{"extra":["archeological arti-\\nfacts shedding light onto the island\'s natives history. It also reveals that the building style on the island has remained mostly consistent over the ages.\\n\\n",{"color":"blue","italic":true,"text":"- A Guide to Isle\\n  Granchio"}],"text":""}'}],resolved:1b,title:{raw:"The Old Palace"}}},count:1,id:"minecraft:written_book"},Page:0} destroy
setblock 145 65 124 minecraft:lectern[facing=west,has_book=true,powered=false]{Book:{components:{"minecraft:written_book_content":{author:"A Guide to Isle Granchio",pages:[{raw:'{"extra":[{"color":"blue","text":"Instinctual Response"},"\\n\\nThe Pumalu, the name of the island\'s native inhabitants, who evolved from ocelots, have a very strong instinctual hunting response towards chickens and other birds of their size. This led to the extinction of all these birds early on in the"],"text":""}'},{raw:'{"extra":["Pumalu\'s history. Chickens have only been reintroduced recently here. Warning signs were set up to prevent untrained Pumalus from attacking said chickens.\\n\\n",{"color":"blue","italic":true,"text":"- A Guide to Isle\\n  Granchio"}],"text":""}'}],resolved:1b,title:{raw:"Instinctual Response"}}},count:1,id:"minecraft:written_book"},Page:0} destroy
setblock 214 65 188 minecraft:lectern[facing=west,has_book=true,powered=false]{Book:{components:{"minecraft:written_book_content":{author:"A Guide to Isle Granchio",pages:[{raw:'{"extra":[{"color":"blue","text":"      Fort Ruins"},"\\n\\nIn front of you, you can find the remains of a fort, or, to be more exact, the ruins of a construction site, which was supposed to become a fort. Build during the reign of felirex HiS\'sMeow\'W’MeOw\'hisS, it was doomed from the start. Historians"],"text":""}'},{raw:'"believe that he suffered from a genetic disease, which caused omnipresent paranoia. His fanatic desire to protect himself and his constant meddling on the construction site cause the structure to collapse, long before it could be finished. The ruins are the youngest of"'},{raw:'{"extra":["the historical ones on the island, but look just as bad as the oldest ones, due to the mentioned issues and use of subpar building materials.\\n\\n",{"color":"blue","italic":true,"text":"- A Guide to Isle\\n  Granchio"}],"text":""}'}],resolved:1b,title:{raw:"Fort Ruins"}}},count:1,id:"minecraft:written_book"},Page:0} destroy
setblock 218 65 -145 minecraft:lectern[facing=south,has_book=true,powered=false]{Book:{components:{"minecraft:written_book_content":{author:"Hotel Ilumina",pages:[{raw:'{"extra":[{"color":"red","text":"    Today\'s Program"},"\\n\\n8 Surfing Lessons\\n11 Sand Castle Building Competition\\n13 Trip to the Spa\\n18 “Ohh my little Flower” Movie at the Waterfall Lake\\n20 Flower Dance Party & Limbo Competition"],"text":""}'},{raw:'{"extra":[{"color":"red","text":"       Tomorrow"},"\\n\\n8 Water Aerobics in the Pool\\n9 Guided Trips to the historical Windmills\\n11 Guide to talking with Parrots\\n13 Explore the Flora & Fauna of Isle Granchio\\n16 Diving Lessons\\n20 Tiki torch hiking around the Island"],"text":""}'},{raw:'{"extra":[{"color":"red","text":"  Day after Tomorrow"},"\\n\\n8 Exploration of the Fruit Gardens\\n10 Flower Chain Preparation Course\\n13 Coconut Drink Preparation Course\\n16 Insect Catching and Examination\\n19 Learn to sing classic Pumalu Songs\\n20 “Happy Life” play at the Theatre"],"text":""}'}],resolved:1b,title:{raw:"Program"}}},count:1,id:"minecraft:written_book"},Page:0} destroy
setblock 105 67 226 minecraft:lectern[facing=north,has_book=true,powered=false]{Book:{components:{"minecraft:written_book_content":{author:"A Guide to Isle Granchio",pages:[{raw:'{"extra":[{"color":"blue","text":"      The Pumalu"},"\\n\\nThe Pumalu, decedents of ocelots, are not unlike villager-kind. They form complex societies, eat, sleep, talk and play with each other. They are omnivores, but prefer small birds and sea creatures, as well as fruits. Thanks to this, they are great"],"text":""}'},{raw:'"swimmers and fishers and have cultivated the big fruits, which can be found all over the island. The roofs of their houses are made from strong, living foliage, which is growing around a handcrafted wooden scaffold and nourishes the fruits growing within, as well\\nas provide shelter"'},{raw:'{"extra":["from raging tropical storms and the sun\'s heat.\\n\\n",{"color":"blue","italic":true,"text":"- A Guide to Isle\\n  Granchio"},"\\n "],"text":""}'}],resolved:1b,title:{raw:"The Pumalu"}}},count:1,id:"minecraft:written_book"},Page:0} destroy
setblock 158 56 -20 minecraft:lectern[facing=north,has_book=true,powered=false]{Book:{components:{"minecraft:written_book_content":{author:"A Guide to Isle Granchio",pages:[{raw:'{"extra":[{"color":"blue","text":"    Pumaluan Names"},"\\n\\nLower case letter: ",{"color":"dark_gray","text":"normal voice"},"\\nUpper case letter: ",{"color":"dark_gray","text":"louder voice"},"\\nApostrophe:\\n",{"color":"dark_gray","text":"Open your mouth slightly more than usual while starting to pronounce the next letter."},"\\nExample: ",{"color":"dark_gray","text":"Purr’r’m’Meow’Hiss’Er"},"\\n "],"text":""}'},{raw:'"Pumaluan names are unlike classic villager names and tend to be rather long. First and last names do not exist. Names are often a reflection of one’s character and usually change at least once through childhood, but rarely in adulthood. Phrases like “Hiss” are associated with negative character"'},{raw:'"traits, “Meow” with normal/desirable ones and “Purr” with inspirable, seductive or excessive ones. These are the common ones and they are modified with the aforementioned pronunciation rules, but other phrases exist as well. Shortened names (nicknames) exist as"'},{raw:'{"extra":["well, but are considered unrespectful, especially in a public setting.\\n\\n",{"color":"blue","italic":true,"text":"- A Guide to Isle\\n  Granchio"},"\\n "],"text":""}'}],resolved:1b,title:{raw:"Pumaluan Names"}}},count:1,id:"minecraft:written_book"},Page:0} destroy
setblock -23 65 110 minecraft:lectern[facing=south,has_book=true,powered=false]{Book:{components:{"minecraft:written_book_content":{author:"A Guide to Isle Granchio",pages:[{raw:'{"extra":[{"color":"blue","text":"  The Sunshine Atoll"},"\\n\\nIsle Granchio is part of the Sunshine Atoll, a collection of small islands surrounded by warm ocean. With only around 160 blocks of distance, the small Isle Stella is the closest one to “The island of the crab” and has historically always"],"text":""}'},{raw:'"been associated with it. The islands beyond the horizon include Isle Delfino, Medusa, Manta, Pesce, Mola, Murena, Tartaruga and Polpo. Just like with Isle Granchio, there are many more minor islands close to the bigger ones. A few islands have also sunken below the waves and for some,"'},{raw:'{"extra":["only tiny parts are left above the surface. The biggest of which are Isle Lumaca and Abisso.\\n\\n",{"color":"blue","italic":true,"text":"- A Guide to Isle\\n  Granchio"},"\\n "],"text":""}'}],resolved:1b,title:{raw:"The Sunshine Atoll"}}},count:1,id:"minecraft:written_book"},Page:0} destroy
setblock -57 95 -50 minecraft:lectern[facing=north,has_book=true,powered=false]{Book:{components:{"minecraft:written_book_content":{author:"A Guide to Isle Granchio",pages:[{raw:'{"extra":[{"color":"blue","text":"      Windmill Hills"},"\\n\\nAll but the southernmost windmill are relatively new additions to Isle Granchio. Now almost 40 years ago, when the tropical storm His’SsS’Ss’His, as the Pumalu call it, hit the sunshine atoll, it brought large-scale devastation, mainly to"],"text":""}'},{raw:'"Isle Tartaruga. All their grain-milling windmills were destroyed. The largely unaffected Isle Granchio helped them and together, the two islands quickly constructed new ones up here, while Isle Tartaruga could focus on homes and critical infrastructure. The"'},{raw:'{"extra":["new mills are no longer in active use, and are only used sometimes, to ensure they remain operational, should disaster strike again.\\n\\n",{"color":"blue","italic":true,"text":"- A Guide to Isle\\n  Granchio"}],"text":""}'}],resolved:1b,title:{raw:"Windmill Hills"}}},count:1,id:"minecraft:written_book"},Page:0} destroy
setblock -77 -34 -264 minecraft:lectern[facing=west,has_book=true,powered=false]{Book:{components:{"minecraft:written_book_content":{author:"???",pages:[{raw:'{"extra":[{"color":"blue","text":"           ???"},"\\n\\nWhat kind of place is this? It feels familiar, but also as distant as it could be. Calming, but also unnerving. It was most certainly not built by the Pumalu. Maybe an effect of the comet? I don’t know where I am, and I ask myself, am I alone in these halls or is"],"text":""}'},{raw:'{"extra":["there something else here?\\n\\n",{"color":"blue","italic":true,"text":"- ???"}],"text":""}'}],resolved:1b,title:{raw:"???"}}},count:1,id:"minecraft:written_book"},Page:0} destroy
setblock -75 72 31 minecraft:lectern[facing=east,has_book=true,powered=false]{Book:{components:{"minecraft:written_book_content":{author:"Goop Away Employee Handbook",pages:[{raw:'{"extra":[{"color":"blue","text":"     Cloudy Goop"},"\\n\\nTowards the south of the island, a patch of cloudy goop, also called aloof goop, has been spotted drifting across the sky. Like all the different goop types, this one also has some special properties. It can hover in midair due to its low density and"],"text":""}'},{raw:'"unlike the other goop here on the island, it can not be washed away. It is believed to have been created from the trail of crashing fragments of Yuriah’s comet. With time, cloudy goop ascents high into the atmosphere and slowly dissolves in air as it does so. Due to its aloof nature, it can"'},{raw:'{"extra":["spread goop monsters ridding on it to other places on our planet, usually close by to where it formed.\\n\\n",{"color":"blue","italic":true,"text":"- Goop Away Employee\\n  Handbook"}],"text":""}'}],resolved:1b,title:{raw:"Cloudy Goop"}}},count:1,id:"minecraft:written_book"},Page:0} destroy
setblock 26 71 429 minecraft:lectern[facing=north,has_book=true,powered=false]{Book:{components:{"minecraft:written_book_content":{author:"Nurion Shipping",pages:[{raw:'{"extra":[{"bold":true,"color":"blue","text":"Isle Granchio"},"\\n",{"color":"blue","text":"Drop off:"},"\\n- Metal screws\\n- Snacks\\n- Medical supplies\\n\\n",{"color":"blue","text":"Take on board:"},"\\n- Big fruits (normal)\\n- Big fruits (Blantiana-enriched)\\n- Stripped bamboo"],"text":""}'},{raw:'{"extra":[{"bold":true,"color":"blue","text":"Isle Tartaruga"},"\\n",{"color":"blue","text":"Drop off:"},"\\n- Snacks\\n- Big fruits (Blantiana-enriched)\\n\\n",{"color":"blue","text":"Take on board:"},"\\n- Plaperla feathers\\n- Plaperla feather ornaments\\n- Blue birds\\n- Pearls"],"text":""}'},{raw:'{"extra":[{"bold":true,"color":"blue","text":"Isle Delfino"},"\\n",{"color":"blue","text":"Drop off:"},"\\n- \\"Bug Away\\" spray\\n- Legal code books\\n\\n",{"color":"blue","text":"Take on board:"},"\\n- Shine sprite ornaments\\n- Durians"],"text":""}'},{raw:'{"extra":[{"bold":true,"color":"blue","text":"Isle Medusa"},"\\n",{"color":"blue","text":"Drop off:"},"\\n- Snacks\\n- Construction equipment\\n\\n",{"color":"blue","text":"Take on board:"},"\\n- Frozen squid\\n- Big fruits (normal)"],"text":""}'}],resolved:1b,title:{raw:"Pending Ports"}}},count:1,id:"minecraft:written_book"},Page:0} destroy
kill @e[type=item,nbt={Item:{id:"minecraft:written_book"}}]
#amusement park
kill @e[type=minecraft:minecart]
setblock -149 66 204 minecraft:chest[facing=east,type=single,waterlogged=false]{Items:[{Slot:0b,components:{"minecraft:can_place_on":{predicates:[{blocks:"minecraft:rail"},{blocks:"minecraft:activator_rail"},{blocks:"minecraft:detector_rail"},{blocks:"minecraft:powered_rail"}],show_in_tooltip:0b}},count:1,id:"minecraft:minecart"},{Slot:1b,components:{"minecraft:can_place_on":{predicates:[{blocks:"minecraft:rail"},{blocks:"minecraft:activator_rail"},{blocks:"minecraft:detector_rail"},{blocks:"minecraft:powered_rail"}],show_in_tooltip:0b}},count:1,id:"minecraft:minecart"},{Slot:2b,components:{"minecraft:can_place_on":{predicates:[{blocks:"minecraft:rail"},{blocks:"minecraft:activator_rail"},{blocks:"minecraft:detector_rail"},{blocks:"minecraft:powered_rail"}],show_in_tooltip:0b}},count:1,id:"minecraft:minecart"},{Slot:3b,components:{"minecraft:can_place_on":{predicates:[{blocks:"minecraft:rail"},{blocks:"minecraft:activator_rail"},{blocks:"minecraft:detector_rail"},{blocks:"minecraft:powered_rail"}],show_in_tooltip:0b}},count:1,id:"minecraft:minecart"},{Slot:4b,components:{"minecraft:can_place_on":{predicates:[{blocks:"minecraft:rail"},{blocks:"minecraft:activator_rail"},{blocks:"minecraft:detector_rail"},{blocks:"minecraft:powered_rail"}],show_in_tooltip:0b}},count:1,id:"minecraft:minecart"},{Slot:5b,components:{"minecraft:can_place_on":{predicates:[{blocks:"minecraft:rail"},{blocks:"minecraft:activator_rail"},{blocks:"minecraft:detector_rail"},{blocks:"minecraft:powered_rail"}],show_in_tooltip:0b}},count:1,id:"minecraft:minecart"},{Slot:6b,components:{"minecraft:can_place_on":{predicates:[{blocks:"minecraft:rail"},{blocks:"minecraft:activator_rail"},{blocks:"minecraft:detector_rail"},{blocks:"minecraft:powered_rail"}],show_in_tooltip:0b}},count:1,id:"minecraft:minecart"},{Slot:7b,components:{"minecraft:can_place_on":{predicates:[{blocks:"minecraft:rail"},{blocks:"minecraft:activator_rail"},{blocks:"minecraft:detector_rail"},{blocks:"minecraft:powered_rail"}],show_in_tooltip:0b}},count:1,id:"minecraft:minecart"},{Slot:8b,components:{"minecraft:can_place_on":{predicates:[{blocks:"minecraft:rail"},{blocks:"minecraft:activator_rail"},{blocks:"minecraft:detector_rail"},{blocks:"minecraft:powered_rail"}],show_in_tooltip:0b}},count:1,id:"minecraft:minecart"},{Slot:9b,components:{"minecraft:can_place_on":{predicates:[{blocks:"minecraft:rail"},{blocks:"minecraft:activator_rail"},{blocks:"minecraft:detector_rail"},{blocks:"minecraft:powered_rail"}],show_in_tooltip:0b}},count:1,id:"minecraft:minecart"},{Slot:10b,components:{"minecraft:can_place_on":{predicates:[{blocks:"minecraft:rail"},{blocks:"minecraft:activator_rail"},{blocks:"minecraft:detector_rail"},{blocks:"minecraft:powered_rail"}],show_in_tooltip:0b}},count:1,id:"minecraft:minecart"},{Slot:11b,components:{"minecraft:can_place_on":{predicates:[{blocks:"minecraft:rail"},{blocks:"minecraft:activator_rail"},{blocks:"minecraft:detector_rail"},{blocks:"minecraft:powered_rail"}],show_in_tooltip:0b}},count:1,id:"minecraft:minecart"},{Slot:12b,components:{"minecraft:can_place_on":{predicates:[{blocks:"minecraft:rail"},{blocks:"minecraft:activator_rail"},{blocks:"minecraft:detector_rail"},{blocks:"minecraft:powered_rail"}],show_in_tooltip:0b}},count:1,id:"minecraft:minecart"},{Slot:13b,components:{"minecraft:can_place_on":{predicates:[{blocks:"minecraft:rail"},{blocks:"minecraft:activator_rail"},{blocks:"minecraft:detector_rail"},{blocks:"minecraft:powered_rail"}],show_in_tooltip:0b}},count:1,id:"minecraft:minecart"},{Slot:14b,components:{"minecraft:can_place_on":{predicates:[{blocks:"minecraft:rail"},{blocks:"minecraft:activator_rail"},{blocks:"minecraft:detector_rail"},{blocks:"minecraft:powered_rail"}],show_in_tooltip:0b}},count:1,id:"minecraft:minecart"},{Slot:15b,components:{"minecraft:can_place_on":{predicates:[{blocks:"minecraft:rail"},{blocks:"minecraft:activator_rail"},{blocks:"minecraft:detector_rail"},{blocks:"minecraft:powered_rail"}],show_in_tooltip:0b}},count:1,id:"minecraft:minecart"},{Slot:16b,components:{"minecraft:can_place_on":{predicates:[{blocks:"minecraft:rail"},{blocks:"minecraft:activator_rail"},{blocks:"minecraft:detector_rail"},{blocks:"minecraft:powered_rail"}],show_in_tooltip:0b}},count:1,id:"minecraft:minecart"},{Slot:17b,components:{"minecraft:can_place_on":{predicates:[{blocks:"minecraft:rail"},{blocks:"minecraft:activator_rail"},{blocks:"minecraft:detector_rail"},{blocks:"minecraft:powered_rail"}],show_in_tooltip:0b}},count:1,id:"minecraft:minecart"},{Slot:18b,components:{"minecraft:can_place_on":{predicates:[{blocks:"minecraft:rail"},{blocks:"minecraft:activator_rail"},{blocks:"minecraft:detector_rail"},{blocks:"minecraft:powered_rail"}],show_in_tooltip:0b}},count:1,id:"minecraft:minecart"},{Slot:19b,components:{"minecraft:can_place_on":{predicates:[{blocks:"minecraft:rail"},{blocks:"minecraft:activator_rail"},{blocks:"minecraft:detector_rail"},{blocks:"minecraft:powered_rail"}],show_in_tooltip:0b}},count:1,id:"minecraft:minecart"},{Slot:20b,components:{"minecraft:can_place_on":{predicates:[{blocks:"minecraft:rail"},{blocks:"minecraft:activator_rail"},{blocks:"minecraft:detector_rail"},{blocks:"minecraft:powered_rail"}],show_in_tooltip:0b}},count:1,id:"minecraft:minecart"},{Slot:21b,components:{"minecraft:can_place_on":{predicates:[{blocks:"minecraft:rail"},{blocks:"minecraft:activator_rail"},{blocks:"minecraft:detector_rail"},{blocks:"minecraft:powered_rail"}],show_in_tooltip:0b}},count:1,id:"minecraft:minecart"},{Slot:22b,components:{"minecraft:can_place_on":{predicates:[{blocks:"minecraft:rail"},{blocks:"minecraft:activator_rail"},{blocks:"minecraft:detector_rail"},{blocks:"minecraft:powered_rail"}],show_in_tooltip:0b}},count:1,id:"minecraft:minecart"},{Slot:23b,components:{"minecraft:can_place_on":{predicates:[{blocks:"minecraft:rail"},{blocks:"minecraft:activator_rail"},{blocks:"minecraft:detector_rail"},{blocks:"minecraft:powered_rail"}],show_in_tooltip:0b}},count:1,id:"minecraft:minecart"},{Slot:24b,components:{"minecraft:can_place_on":{predicates:[{blocks:"minecraft:rail"},{blocks:"minecraft:activator_rail"},{blocks:"minecraft:detector_rail"},{blocks:"minecraft:powered_rail"}],show_in_tooltip:0b}},count:1,id:"minecraft:minecart"},{Slot:25b,components:{"minecraft:can_place_on":{predicates:[{blocks:"minecraft:rail"},{blocks:"minecraft:activator_rail"},{blocks:"minecraft:detector_rail"},{blocks:"minecraft:powered_rail"}],show_in_tooltip:0b}},count:1,id:"minecraft:minecart"},{Slot:26b,components:{"minecraft:can_place_on":{predicates:[{blocks:"minecraft:rail"},{blocks:"minecraft:activator_rail"},{blocks:"minecraft:detector_rail"},{blocks:"minecraft:powered_rail"}],show_in_tooltip:0b}},count:1,id:"minecraft:minecart"}]}
#cargo ship
kill @e[tag=cargo_ship_text]
summon minecraft:text_display 39.5 65.5 416.99 {text:"{\"text\":\"Nurion Shipping\",\"color\":\"white\"}",transformation: {left_rotation: [0.0f, 0.0f, 0.0f, 1.0f], translation: [0.0f, 0.0f, 0.0f], right_rotation: [0.0f, 0.0f, 0.0f, 1.0f], scale: [6.0f, 6.0f, 6.0f]},billboard:"fixed",Rotation:[180.0f,0.0f],background:0,Tags:[cargo_ship_text]}
summon minecraft:text_display 39.5 65.5 432.01 {text:"{\"text\":\"Nurion Shipping\",\"color\":\"white\"}",transformation: {left_rotation: [0.0f, 0.0f, 0.0f, 1.0f], translation: [0.0f, 0.0f, 0.0f], right_rotation: [0.0f, 0.0f, 0.0f, 1.0f], scale: [6.0f, 6.0f, 6.0f]},billboard:"fixed",Rotation:[0.0f,0.0f],background:0,Tags:[cargo_ship_text]}
summon minecraft:text_display 31.0 70.6 424.5 {text:"{\"text\":\"Do not run on deck.\",\"color\":\"black\"}",transformation: {left_rotation: [0.0f, 0.0f, 0.0f, 1.0f], translation: [0.0f, 0.0f, 0.0f], right_rotation: [0.0f, 0.0f, 0.0f, 1.0f], scale: [2.5f, 2.5f, 2.5f]},billboard:"fixed",Rotation:[270.0f,0.0f],background:0,Tags:[cargo_ship_text]}


#collectibles
kill @e[tag=granchio_emblem]
#port
execute positioned 21.5 77.5 111.5 run function ercerus:collectibles/summon_granchio_emblem
#village
execute positioned 87.5 92.0 242.5 run function ercerus:collectibles/summon_granchio_emblem
#theater
execute positioned 158.5 66.5 -31.0 run function ercerus:collectibles/summon_granchio_emblem
#hotel
execute positioned 207.5 77.0 -137.5 run function ercerus:collectibles/summon_granchio_emblem
execute positioned 179.5 78.0 -269.5 run function ercerus:collectibles/summon_granchio_emblem
execute positioned 238.5 89.0 -70.5 run function ercerus:collectibles/summon_granchio_emblem
execute positioned 278.5 64.0 -159.5 run function ercerus:collectibles/summon_granchio_emblem
#radio station
execute positioned 27.5 113.0 -79.5 run function ercerus:collectibles/summon_granchio_emblem
#windmills
execute positioned -100.5 142.0 -54.5 run function ercerus:collectibles/summon_granchio_emblem
#mushroom cave
execute positioned -25.5 61.0 -58.5 run function ercerus:collectibles/summon_granchio_emblem
#amusement park
execute positioned -128.5 107.0 229.5 run function ercerus:collectibles/summon_granchio_emblem
#lake
execute positioned -36.0 81.0 -31.5 run function ercerus:collectibles/summon_granchio_emblem
#sinter cave
execute positioned 81.0 61.5 -5.5 run function ercerus:collectibles/summon_granchio_emblem
execute positioned 75.5 102.0 48.5 run function ercerus:collectibles/summon_granchio_emblem
execute positioned 135.5 32.0 45.5 run function ercerus:collectibles/summon_granchio_emblem
#lighthouse
execute positioned -374.5 125.5 135.5 run function ercerus:collectibles/summon_granchio_emblem
#bell tower
execute positioned 318.5 85.0 -44.5 run function ercerus:collectibles/summon_granchio_emblem
#shipwreck shore
execute positioned -398.5 70.5 -5.5 run function ercerus:collectibles/summon_granchio_emblem
#tidal turbines
execute positioned -13.0 54.0 326.0 run function ercerus:collectibles/summon_granchio_emblem
#airstrip
execute positioned -389.5 92.0 447.5 run function ercerus:collectibles/summon_granchio_emblem
#airships
execute positioned -367.0 154.0 -298.0 run function ercerus:collectibles/summon_granchio_emblem
execute positioned -35.5 165.0 -275.5 run function ercerus:collectibles/summon_granchio_emblem
execute positioned 414.5 160.0 -180.5 run function ercerus:collectibles/summon_granchio_emblem
execute positioned -418.5 156.0 -197.5 run function ercerus:collectibles/summon_granchio_emblem
#balloons
execute positioned 88.0 147.0 19.0 run function ercerus:collectibles/summon_granchio_emblem
execute positioned -178.0 160.0 100.0 run function ercerus:collectibles/summon_granchio_emblem
#ships & boats
#red yacht
execute positioned -14.0 64.0 -199.5 run function ercerus:collectibles/summon_granchio_emblem
#pirate ship wreck
execute positioned -85.5 74.0 -142.5 run function ercerus:collectibles/summon_granchio_emblem
#historical merchant ship
execute positioned -463.5 84.0 68.5 run function ercerus:collectibles/summon_granchio_emblem
#cargo ship
execute positioned 54.5 63.0 426.5 run function ercerus:collectibles/summon_granchio_emblem
#fruit gardens
execute positioned -280.5 120.0 -112.5 run function ercerus:collectibles/summon_granchio_emblem
execute positioned -217.8 98.0 -220.0 run function ercerus:collectibles/summon_granchio_emblem
execute positioned -205.5 59.0 -126.5 run function ercerus:collectibles/summon_granchio_emblem
#biogas plant
execute positioned 275.5 77.0 104.5 run function ercerus:collectibles/summon_granchio_emblem
#fort ruins
execute positioned 228.5 66.0 259.5 run function ercerus:collectibles/summon_granchio_emblem
#camp site
execute positioned -150.0 68.0 -4.0 run function ercerus:collectibles/summon_granchio_emblem
#underwater fossile
execute positioned 202.5 49.0 384.5 run function ercerus:collectibles/summon_granchio_emblem
#isle stella
execute positioned 439.5 80.0 453.5 run function ercerus:collectibles/summon_granchio_emblem
#spa
execute positioned -129.5 93.0 -190.5 run function ercerus:collectibles/summon_granchio_emblem
#underwater wrecks
execute positioned -219.5 55.0 -385.5 run function ercerus:collectibles/summon_granchio_emblem
#plateau pillars
execute positioned -265.5 80.0 258.5 run function ercerus:collectibles/summon_granchio_emblem
#observation tower
execute positioned -106.0 98.0 62.0 run function ercerus:collectibles/summon_granchio_emblem
#underwater trench
execute positioned -396.0 13.0 -96.0 run function ercerus:collectibles/summon_granchio_emblem


#summon goop spawners
scoreboard players reset * spawner_health
kill @e[tag=spawner_summon_marker]
#port rucaria
execute positioned 2.5 65.0 126.5 run function ercerus:spawner/summon/pink_spawner_without_toxic_enemies
#village
execute positioned 103.5 67.0 193.5 run function ercerus:spawner/summon/pink_spawner
execute positioned 87.5 67.0 211.5 run function ercerus:spawner/summon/pink_spawner
#above sinter cave
execute positioned 114.5 68.0 22.5 run function ercerus:spawner/summon/pink_spawner
execute positioned 103.5 69.0 18.5 run function ercerus:spawner/summon/pink_spawner
#in sinter cave
execute positioned 89.5 19.0 36.5 run function ercerus:spawner/summon/pink_spawner
execute positioned 100.5 17.0 14.5 run function ercerus:spawner/summon/pink_spawner
#bell tower
execute positioned 305.5 71.0 -25.5 run function ercerus:spawner/summon/pink_spawner
#hotel beach
execute positioned 130.5 64.0 -172.5 run function ercerus:spawner/summon/pink_spawner
execute positioned 120.5 64.0 -188.5 run function ercerus:spawner/summon/toxic_spawner
execute positioned 151.5 64.0 -186.5 run function ercerus:spawner/summon/pink_spawner
#windmills
execute positioned -44.5 95.0 -69.5 run function ercerus:spawner/summon/pink_spawner
execute positioned -57.5 95.0 -71.5 run function ercerus:spawner/summon/pink_spawner
execute positioned -54.5 95.0 -61.5 run function ercerus:spawner/summon/toxic_spawner
#windmill cliff
execute positioned -48.5 65.0 -11.5 run function ercerus:spawner/summon/pink_spawner
#shipwreck shore
execute positioned -326.5 64.0 -6.5 run function ercerus:spawner/summon/pink_spawner
execute positioned -336.5 64.0 -18.5 run function ercerus:spawner/summon/toxic_spawner
execute positioned -339.5 66.0 -4.5 run function ercerus:spawner/summon/pink_spawner
#amusement park
execute positioned -126.5 65.0 209.5 run function ercerus:spawner/summon/pink_spawner
execute positioned -134.5 65.0 193.5 run function ercerus:spawner/summon/pink_spawner
#fruit gardens south
execute positioned -284.5 74.0 -130.5 run function ercerus:spawner/summon/pink_spawner
#fruit gardens north
execute positioned -208.5 74.0 -256.5 run function ercerus:spawner/summon/toxic_spawner
execute positioned -204.5 73.0 -245.5 run function ercerus:spawner/summon/pink_spawner
#raised platform
execute positioned -180.5 89.0 -166.5 run function ercerus:spawner/summon/pink_spawner
#plateau pillars
execute positioned -272.5 98.0 215.5 run function ercerus:spawner/summon/pink_spawner
execute positioned -256.5 87.0 211.5 run function ercerus:spawner/summon/toxic_spawner
execute positioned -267.5 77.0 195.5 run function ercerus:spawner/summon/pink_spawner
#palace ruins
execute positioned -174.5 87.0 -46.5 run function ercerus:spawner/summon/pink_spawner
execute positioned -149.5 88.0 -44.5 run function ercerus:spawner/summon/pink_spawner
execute positioned -153.5 88.0 -53.5 run function ercerus:spawner/summon/toxic_spawner
#pillar ruins
execute positioned 204.5 70.0 211.5 run function ercerus:spawner/summon/toxic_spawner
execute positioned 226.5 78.0 187.5 run function ercerus:spawner/summon/pink_spawner
execute positioned 238.5 74.0 231.5 run function ercerus:spawner/summon/pink_spawner
#spa
execute positioned -136.5 70.0 -214.5 run function ercerus:spawner/summon/toxic_spawner
execute positioned -124.5 70.0 -248.5 run function ercerus:spawner/summon/pink_spawner
execute positioned -114.5 80.0 -229.5 run function ercerus:spawner/summon/pink_spawner
#underwater restaurant
execute positioned 363.5 46.0 -323.5 run function ercerus:spawner/summon/toxic_spawner
execute positioned 343.5 46.0 -330.5 run function ercerus:spawner/summon/pink_spawner
execute positioned 336.5 46.0 -313.5 run function ercerus:spawner/summon/pink_spawner
#cloudy goop
execute positioned -39.5 218.0 385.5 run function ercerus:spawner/summon/toxic_spawner
execute positioned -60.5 208.0 361.5 run function ercerus:spawner/summon/pink_spawner
execute positioned -86.5 207.0 382.5 run function ercerus:spawner/summon/pink_spawner
#water jet islands
execute positioned -422.5 126.0 -89.5 run function ercerus:spawner/summon/pink_spawner
execute positioned -407.5 113.0 -114.5 run function ercerus:spawner/summon/pink_spawner

#weak spawners, which do not count towards completion
#airstrip
execute positioned -419.5 65.0 445.5 run function ercerus:spawner/summon/pink_weak_spawner
execute positioned -401.5 65.0 465.5 run function ercerus:spawner/summon/pink_weak_spawner
#mushroom cave
execute positioned -20.5 66.0 -64.5 run function ercerus:spawner/summon/pink_weak_spawner
#isle stella
execute positioned 398.5 66.0 430.5 run function ercerus:spawner/summon/pink_weak_spawner


#add goop splosh around all spawners
execute at @e[tag=toxic_spawner] positioned ~ ~-2 ~ run function ercerus:goop_cleanup/place_goop/toxic_goop_splosh
execute at @e[tag=pink_spawner] positioned ~ ~-2 ~ run function ercerus:goop_cleanup/place_goop/pink_goop_splosh
#remove goop on the ceiling of the swimming hall in the spa
fill -117 78 -233 -113 78 -226 minecraft:diorite replace minecraft:white_terracotta


#area specic enemy defeated changes command block ocntrol units
tag @e[tag=paradise_blossom] remove blooming
#port
setblock -1 -31 115 minecraft:orange_banner[rotation=0]{}
setblock -1 -1 115 minecraft:redstone_block destroy
setblock -1 -1 118 minecraft:bedrock
#village
setblock 105 -31 194 minecraft:orange_banner[rotation=0]{}
setblock 105 -1 194 minecraft:redstone_block destroy
setblock 105 -1 197 minecraft:bedrock
#sinter cave
setblock 91 -31 24 minecraft:orange_banner[rotation=0]{}
setblock 107 -1 17 minecraft:redstone_block destroy
setblock 107 -1 20 minecraft:bedrock
setblock 113 -31 20 minecraft:orange_banner[rotation=0]{}
setblock 108 -1 17 minecraft:redstone_block destroy
setblock 108 -1 20 minecraft:bedrock
#belltower
setblock 301 -31 -25 minecraft:orange_banner[rotation=0]{}
setblock 301 -1 -25 minecraft:redstone_block destroy
setblock 301 -1 -22 minecraft:bedrock
#hotel beach
setblock 135 -31 -186 minecraft:orange_banner[rotation=0]{}
setblock 135 -1 -186 minecraft:redstone_block destroy
setblock 135 -1 -183 minecraft:bedrock
#lake
setblock -53 -31 -14 minecraft:orange_banner[rotation=0]{}
setblock -53 -1 -14 minecraft:redstone_block destroy
setblock -53 -1 -11 minecraft:bedrock
#windmills
setblock -55 -31 -66 minecraft:orange_banner[rotation=0]{}
setblock -55 -1 -66 minecraft:redstone_block destroy
setblock -55 -1 -63 minecraft:bedrock
#shipwreck shore
setblock -334 -31 -13 minecraft:orange_banner[rotation=0]{}
setblock -334 -1 -13 minecraft:redstone_block destroy
setblock -334 -1 -10 minecraft:bedrock
#amusement park
setblock -129 -31 199 minecraft:orange_banner[rotation=0]{}
setblock -129 -1 199 minecraft:redstone_block destroy
setblock -129 -1 202 minecraft:bedrock
#fruit gardens
setblock -281 -31 -130 minecraft:orange_banner[rotation=0]{}
setblock -281 -1 -130 minecraft:redstone_block destroy
setblock -281 -1 -127 minecraft:bedrock
setblock -201 -31 -254 minecraft:orange_banner[rotation=0]{}
setblock -201 -1 -254 minecraft:redstone_block destroy
setblock -201 -1 -251 minecraft:bedrock
#raised platform
setblock -181 -31 -166 minecraft:orange_banner[rotation=0]{}
setblock -181 -1 -166 minecraft:redstone_block
setblock -181 -1 -163 minecraft:bedrock
#plateau pillars
setblock -249 -31 203 minecraft:orange_banner[rotation=0]{}
setblock -249 0 203 minecraft:redstone_block destroy
setblock -249 0 206 minecraft:bedrock
#airstrip
setblock -410 -31 458 minecraft:light_blue_banner[rotation=0]{}
setblock -410 -1 458 minecraft:redstone_block destroy
setblock -410 -1 461 minecraft:bedrock
#palace ruins
setblock -161 -31 -46 minecraft:orange_banner[rotation=0]{}
setblock -161 -1 -46 minecraft:redstone_block destroy
setblock -161 -1 -43 minecraft:bedrock
#fort ruins
setblock 220 -31 208 minecraft:orange_banner[rotation=0]{}
setblock 220 -1 208 minecraft:redstone_block destroy
setblock 220 -1 211 minecraft:bedrock
#mushroom cave
setblock -20 -31 -109 minecraft:light_blue_banner[rotation=0]{}
setblock -21 -1 -67 minecraft:redstone_block destroy
setblock -21 -1 -64 minecraft:bedrock
#spa
setblock -133 -31 -229 minecraft:orange_banner[rotation=0]{}
setblock -133 -1 -229 minecraft:redstone_block destroy
setblock -133 -1 -226 minecraft:bedrock
#underwater restaurant
setblock 350 -31 -319 minecraft:orange_banner[rotation=0]{}
setblock 350 -1 -319 minecraft:redstone_block destroy
setblock 350 -1 -316 minecraft:bedrock
#isle stella
setblock 407 -31 421 minecraft:light_blue_banner[rotation=0]{}
setblock 407 1 418 minecraft:redstone_block destroy
setblock 407 1 421 minecraft:bedrock
#cloudy goop
setblock -58 -31 391 minecraft:orange_banner[rotation=0]{}
setblock -58 -1 388 minecraft:redstone_block destroy
setblock -58 -1 391 minecraft:bedrock
#water jet islands
setblock -415 -31 -101 minecraft:orange_banner[rotation=0]{}
setblock -407 -1 -111 minecraft:redstone_block destroy
setblock -407 -1 -108 minecraft:bedrock


#chests
data merge block 246 62 -60 {CustomName:'"Treasure Chest"',Items:[{Slot:13b,components:{"minecraft:custom_model_data":6269013,"minecraft:custom_name":'{"color":"green","italic":false,"text":"Water Gun"}',"minecraft:lore":['{"color":"gold","italic":false,"text":"Right Click","underlined":true}','{"color":"white","italic":false,"text":"Spray water "}','""','{"color":"gold","italic":false,"text":"Sneak Right Click","underlined":true}','{"color":"white","italic":false,"text":"Water burst "}','""','{"color":"#F096CC","italic":true,"text":"Tropical Paintjob"}']},count:1,id:"minecraft:warped_fungus_on_a_stick"}]}
data merge block -207 54 -391 {CustomName:'"Pirate Chest"',Items:[{Slot:13b,components:{"minecraft:custom_model_data":6269018,"minecraft:custom_name":'{"color":"green","italic":false,"text":"Water Gun"}',"minecraft:lore":['{"color":"gold","italic":false,"text":"Right Click","underlined":true}','{"color":"white","italic":false,"text":"Spray water "}','""','{"color":"gold","italic":false,"text":"Sneak Right Click","underlined":true}','{"color":"white","italic":false,"text":"Water burst "}','""','{"color":"#F096CC","italic":true,"text":"Pirate Paintjob"}']},count:1,id:"minecraft:warped_fungus_on_a_stick"}]}
data merge block -139 65 217 {CustomName:'"Clown Chest"',Items:[{Slot:13b,components:{"minecraft:custom_model_data":6269017,"minecraft:custom_name":'{"color":"aqua","italic":false,"text":"Turbo Exhaust"}',"minecraft:lore":['{"color":"gold","italic":false,"text":"Right Click","underlined":true}','{"color":"white","italic":false,"text":"Run and swim fast "}','""','{"color":"gold","italic":false,"text":"Sneak Right Click","underlined":true}','{"color":"white","italic":false,"text":"Spray exploding water "}','""','{"color":"#F096CC","italic":true,"text":"Clown Paintjob"}']},count:1,id:"minecraft:warped_fungus_on_a_stick"}]}
data merge block 83 67 230 {CustomName:'"Chest of a Pumalu"',Items:[{Slot:13b,components:{"minecraft:custom_model_data":6269019,"minecraft:custom_name":'{"color":"aqua","italic":false,"text":"Turbo Exhaust"}',"minecraft:lore":['{"color":"gold","italic":false,"text":"Right Click","underlined":true}','{"color":"white","italic":false,"text":"Run and swim fast "}','""','{"color":"gold","italic":false,"text":"Sneak Right Click","underlined":true}','{"color":"white","italic":false,"text":"Spray exploding water "}','""','{"color":"#F096CC","italic":true,"text":"Pumalu Paintjob"}']},count:1,id:"minecraft:warped_fungus_on_a_stick"}]}
data merge block -108 -29 -199 {CustomName:'"Liminal Chest"',Items:[{Slot:13b,components:{"minecraft:custom_model_data":6269015,"minecraft:custom_name":'{"color":"red","italic":false,"text":"Rocket Thruster"}',"minecraft:lore":['{"color":"gold","italic":false,"text":"Right Click","underlined":true}','{"color":"white","italic":false,"text":"Blast yourself upwards "}','{"color":"gray","italic":false,"text":"Use to cancel fall damage."}','""','{"color":"#FF8C8C","italic":false,"text":"Fails in water."}','""','{"color":"gold","italic":false,"text":"Sneak Right Click","underlined":true}','{"color":"white","italic":false,"text":"Circular water burst "}','""','{"color":"#F096CC","italic":true,"text":"Poolrooms Paintjob"}']},count:1,id:"minecraft:warped_fungus_on_a_stick"}]}
data merge block 270 58 204 {CustomName:'"Ocean Chest"',Items:[{Slot:13b,components:{"minecraft:custom_model_data":6269020,"minecraft:custom_name":'{"color":"red","italic":false,"text":"Rocket Thruster"}',"minecraft:lore":['{"color":"gold","italic":false,"text":"Right Click","underlined":true}','{"color":"white","italic":false,"text":"Blast yourself upwards "}','{"color":"gray","italic":false,"text":"Use to cancel fall damage."}','""','{"color":"#FF8C8C","italic":false,"text":"Fails in water."}','""','{"color":"gold","italic":false,"text":"Sneak Right Click","underlined":true}','{"color":"white","italic":false,"text":"Circular water burst "}','""','{"color":"#F096CC","italic":true,"text":"Squid Paintjob"}']},count:1,id:"minecraft:warped_fungus_on_a_stick"}]}
#resupplies chest at the port
data merge block 4 65 170 {CustomName:'"Resupplies if needed"',Items:[{Slot:0b,components:{"minecraft:custom_model_data":6269001,"minecraft:custom_name":'{"color":"green","italic":false,"text":"Water Gun"}',"minecraft:lore":['{"color":"gold","italic":false,"text":"Right Click","underlined":true}','{"color":"white","italic":false,"text":"Spray water "}','""','{"color":"gold","italic":false,"text":"Sneak Right Click","underlined":true}','{"color":"white","italic":false,"text":"Water burst "}']},count:1,id:"minecraft:warped_fungus_on_a_stick"},{Slot:1b,components:{"minecraft:custom_model_data":6269002,"minecraft:custom_name":'{"color":"green","italic":false,"text":"Water Gun"}',"minecraft:lore":['{"color":"gold","italic":false,"text":"Right Click","underlined":true}','{"color":"white","italic":false,"text":"Spray water "}','""','{"color":"gold","italic":false,"text":"Sneak Right Click","underlined":true}','{"color":"white","italic":false,"text":"Water burst "}']},count:1,id:"minecraft:warped_fungus_on_a_stick"},{Slot:2b,components:{"minecraft:custom_model_data":6269003,"minecraft:custom_name":'{"color":"green","italic":false,"text":"Water Gun"}',"minecraft:lore":['{"color":"gold","italic":false,"text":"Right Click","underlined":true}','{"color":"white","italic":false,"text":"Spray water "}','""','{"color":"gold","italic":false,"text":"Sneak Right Click","underlined":true}','{"color":"white","italic":false,"text":"Water burst "}']},count:1,id:"minecraft:warped_fungus_on_a_stick"},{Slot:3b,components:{"minecraft:custom_model_data":6269004,"minecraft:custom_name":'{"color":"green","italic":false,"text":"Water Gun"}',"minecraft:lore":['{"color":"gold","italic":false,"text":"Right Click","underlined":true}','{"color":"white","italic":false,"text":"Spray water "}','""','{"color":"gold","italic":false,"text":"Sneak Right Click","underlined":true}','{"color":"white","italic":false,"text":"Water burst "}']},count:1,id:"minecraft:warped_fungus_on_a_stick"},{Slot:5b,count:1,id:"minecraft:spyglass"},{Slot:6b,components:{"minecraft:custom_name":'{"color":"white","italic":false,"text":"Compass"}',"minecraft:lodestone_tracker":{target:{dimension:"minecraft:overworld",pos:[I;100000,63,-1000000]},tracked:0b},"minecraft:lore":['{"color":"gray","italic":false,"text":"Always points to the north."}','""','{"color":"red","italic":false,"text":"             North"}','{"color":"gray","italic":false,"text":"       West   +    East"}','{"color":"gray","italic":false,"text":"             South "}']},count:1,id:"minecraft:compass"},{Slot:7b,components:{"minecraft:custom_model_data":6269014,"minecraft:custom_name":'{"color":"light_purple","italic":false,"text":"Camera"}',"minecraft:lore":['{"color":"gray","italic":false,"text":"Use it to take some"}','{"color":"gray","italic":false,"text":"pictures."}']},count:1,id:"minecraft:warped_fungus_on_a_stick"},{Slot:8b,components:{"minecraft:custom_model_data":6269003,"minecraft:custom_name":'{"color":"gold","italic":false,"text":"Locations to find"}',"minecraft:lore":['{"color":"white","italic":false,"text":""}','{"color":"white","italic":false,"text":"Go and find all the places"}','{"color":"white","italic":false,"text":"inside and photograph"}','{"color":"white","italic":false,"text":"them yourself from the"}','{"color":"white","italic":false,"text":"same position."}'],"minecraft:written_book_content":{author:"the Pumalu",pages:[{raw:'{"extra":["\\n",{"color":"red","text":"      Picture No. 1"},"\\n",{"color":"blue","text":"         Windmills"},"\\n\\n\\n\\n\\n\\n\\n\\n",{"color":"white","text":""}],"text":""}'},{raw:'{"extra":["\\n",{"color":"red","text":"      Picture No. 2"},"\\n",{"color":"blue","text":"        Pool Palm"},"\\n\\n\\n\\n\\n\\n\\n\\n",{"color":"white","text":""}],"text":""}'},{raw:'{"extra":["\\n",{"color":"red","text":"      Picture No. 3"},"\\n",{"color":"blue","text":"           Cave"},"\\n\\n\\n\\n\\n\\n\\n\\n",{"color":"white","text":""},"\\n "],"text":""}'},{raw:'{"extra":["\\n",{"color":"red","text":"      Picture No. 4"},"\\n",{"color":"blue","text":"   Secluded Painting"},"\\n\\n\\n\\n\\n\\n\\n\\n",{"color":"white","text":""},"\\n "],"text":""}'},{raw:'{"extra":["\\n",{"color":"red","text":"      Picture No. 5"},"\\n",{"color":"blue","text":"          Fossil"},"\\n\\n\\n\\n\\n\\n\\n\\n",{"color":"white","text":""},"\\n "],"text":""}'},{raw:'{"extra":["\\n",{"color":"red","text":"      Picture No. 6"},"\\n",{"color":"blue","text":"    Amusement Park"},"\\n\\n\\n\\n\\n\\n\\n\\n",{"color":"white","text":""},"\\n "],"text":""}'},{raw:'{"extra":["\\n",{"color":"red","text":"      Picture No. 7"},"\\n",{"color":"blue","text":"       Pirate Ship"},"\\n\\n\\n\\n\\n\\n\\n\\n",{"color":"white","text":""},"\\n "],"text":""}'}],resolved:1b,title:{raw:"Photo Album"}}},count:1,id:"minecraft:written_book"},{Slot:9b,components:{"minecraft:custom_model_data":6269005,"minecraft:custom_name":'{"color":"aqua","italic":false,"text":"Turbo Exhaust"}',"minecraft:lore":['{"color":"gold","italic":false,"text":"Right Click","underlined":true}','{"color":"white","italic":false,"text":"Run and swim fast "}','""','{"color":"gold","italic":false,"text":"Sneak Right Click","underlined":true}','{"color":"white","italic":false,"text":"Spray exploding water "}']},count:1,id:"minecraft:warped_fungus_on_a_stick"},{Slot:10b,components:{"minecraft:custom_model_data":6269006,"minecraft:custom_name":'{"color":"aqua","italic":false,"text":"Turbo Exhaust"}',"minecraft:lore":['{"color":"gold","italic":false,"text":"Right Click","underlined":true}','{"color":"white","italic":false,"text":"Run and swim fast "}','""','{"color":"gold","italic":false,"text":"Sneak Right Click","underlined":true}','{"color":"white","italic":false,"text":"Spray exploding water "}']},count:1,id:"minecraft:warped_fungus_on_a_stick"},{Slot:11b,components:{"minecraft:custom_model_data":6269007,"minecraft:custom_name":'{"color":"aqua","italic":false,"text":"Turbo Exhaust"}',"minecraft:lore":['{"color":"gold","italic":false,"text":"Right Click","underlined":true}','{"color":"white","italic":false,"text":"Run and swim fast "}','""','{"color":"gold","italic":false,"text":"Sneak Right Click","underlined":true}','{"color":"white","italic":false,"text":"Spray exploding water "}']},count:1,id:"minecraft:warped_fungus_on_a_stick"},{Slot:12b,components:{"minecraft:custom_model_data":6269008,"minecraft:custom_name":'{"color":"aqua","italic":false,"text":"Turbo Exhaust"}',"minecraft:lore":['{"color":"gold","italic":false,"text":"Right Click","underlined":true}','{"color":"white","italic":false,"text":"Run and swim fast "}','""','{"color":"gold","italic":false,"text":"Sneak Right Click","underlined":true}','{"color":"white","italic":false,"text":"Spray exploding water "}']},count:1,id:"minecraft:warped_fungus_on_a_stick"},{Slot:14b,count:1,id:"minecraft:spyglass"},{Slot:15b,components:{"minecraft:custom_name":'{"color":"white","italic":false,"text":"Compass"}',"minecraft:lodestone_tracker":{target:{dimension:"minecraft:overworld",pos:[I;100000,63,-1000000]},tracked:0b},"minecraft:lore":['{"color":"gray","italic":false,"text":"Always points to the north."}','""','{"color":"red","italic":false,"text":"             North"}','{"color":"gray","italic":false,"text":"       West   +    East"}','{"color":"gray","italic":false,"text":"             South "}']},count:1,id:"minecraft:compass"},{Slot:16b,components:{"minecraft:custom_model_data":6269014,"minecraft:custom_name":'{"color":"light_purple","italic":false,"text":"Camera"}',"minecraft:lore":['{"color":"gray","italic":false,"text":"Use it to take some"}','{"color":"gray","italic":false,"text":"pictures."}']},count:1,id:"minecraft:warped_fungus_on_a_stick"},{Slot:17b,components:{"minecraft:custom_model_data":6269003,"minecraft:custom_name":'{"color":"gold","italic":false,"text":"Locations to find"}',"minecraft:lore":['{"color":"white","italic":false,"text":""}','{"color":"white","italic":false,"text":"Go and find all the places"}','{"color":"white","italic":false,"text":"inside and photograph"}','{"color":"white","italic":false,"text":"them yourself from the"}','{"color":"white","italic":false,"text":"same position."}'],"minecraft:written_book_content":{author:"the Pumalu",pages:[{raw:'{"extra":["\\n",{"color":"red","text":"      Picture No. 1"},"\\n",{"color":"blue","text":"         Windmills"},"\\n\\n\\n\\n\\n\\n\\n\\n",{"color":"white","text":""}],"text":""}'},{raw:'{"extra":["\\n",{"color":"red","text":"      Picture No. 2"},"\\n",{"color":"blue","text":"        Pool Palm"},"\\n\\n\\n\\n\\n\\n\\n\\n",{"color":"white","text":""}],"text":""}'},{raw:'{"extra":["\\n",{"color":"red","text":"      Picture No. 3"},"\\n",{"color":"blue","text":"           Cave"},"\\n\\n\\n\\n\\n\\n\\n\\n",{"color":"white","text":""},"\\n "],"text":""}'},{raw:'{"extra":["\\n",{"color":"red","text":"      Picture No. 4"},"\\n",{"color":"blue","text":"   Secluded Painting"},"\\n\\n\\n\\n\\n\\n\\n\\n",{"color":"white","text":""},"\\n "],"text":""}'},{raw:'{"extra":["\\n",{"color":"red","text":"      Picture No. 5"},"\\n",{"color":"blue","text":"          Fossil"},"\\n\\n\\n\\n\\n\\n\\n\\n",{"color":"white","text":""},"\\n "],"text":""}'},{raw:'{"extra":["\\n",{"color":"red","text":"      Picture No. 6"},"\\n",{"color":"blue","text":"    Amusement Park"},"\\n\\n\\n\\n\\n\\n\\n\\n",{"color":"white","text":""},"\\n "],"text":""}'},{raw:'{"extra":["\\n",{"color":"red","text":"      Picture No. 7"},"\\n",{"color":"blue","text":"       Pirate Ship"},"\\n\\n\\n\\n\\n\\n\\n\\n",{"color":"white","text":""},"\\n "],"text":""}'}],resolved:1b,title:{raw:"Photo Album"}}},count:1,id:"minecraft:written_book"},{Slot:18b,components:{"minecraft:custom_model_data":6269009,"minecraft:custom_name":'{"color":"red","italic":false,"text":"Rocket Thruster"}',"minecraft:lore":['{"color":"gold","italic":false,"text":"Right Click","underlined":true}','{"color":"white","italic":false,"text":"Blast yourself upwards "}','{"color":"gray","italic":false,"text":"Use to cancel fall damage."}','""','{"color":"#FF8C8C","italic":false,"text":"Fails in water."}','""','{"color":"gold","italic":false,"text":"Sneak Right Click","underlined":true}','{"color":"white","italic":false,"text":"Circular water burst "}']},count:1,id:"minecraft:warped_fungus_on_a_stick"},{Slot:19b,components:{"minecraft:custom_model_data":6269010,"minecraft:custom_name":'{"color":"red","italic":false,"text":"Rocket Thruster"}',"minecraft:lore":['{"color":"gold","italic":false,"text":"Right Click","underlined":true}','{"color":"white","italic":false,"text":"Blast yourself upwards "}','{"color":"gray","italic":false,"text":"Use to cancel fall damage."}','""','{"color":"#FF8C8C","italic":false,"text":"Fails in water."}','""','{"color":"gold","italic":false,"text":"Sneak Right Click","underlined":true}','{"color":"white","italic":false,"text":"Circular water burst "}']},count:1,id:"minecraft:warped_fungus_on_a_stick"},{Slot:20b,components:{"minecraft:custom_model_data":6269011,"minecraft:custom_name":'{"color":"red","italic":false,"text":"Rocket Thruster"}',"minecraft:lore":['{"color":"gold","italic":false,"text":"Right Click","underlined":true}','{"color":"white","italic":false,"text":"Blast yourself upwards "}','{"color":"gray","italic":false,"text":"Use to cancel fall damage."}','""','{"color":"#FF8C8C","italic":false,"text":"Fails in water."}','""','{"color":"gold","italic":false,"text":"Sneak Right Click","underlined":true}','{"color":"white","italic":false,"text":"Circular water burst "}']},count:1,id:"minecraft:warped_fungus_on_a_stick"},{Slot:21b,components:{"minecraft:custom_model_data":6269012,"minecraft:custom_name":'{"color":"red","italic":false,"text":"Rocket Thruster"}',"minecraft:lore":['{"color":"gold","italic":false,"text":"Right Click","underlined":true}','{"color":"white","italic":false,"text":"Blast yourself upwards "}','{"color":"gray","italic":false,"text":"Use to cancel fall damage."}','""','{"color":"#FF8C8C","italic":false,"text":"Fails in water."}','""','{"color":"gold","italic":false,"text":"Sneak Right Click","underlined":true}','{"color":"white","italic":false,"text":"Circular water burst "}']},count:1,id:"minecraft:warped_fungus_on_a_stick"},{Slot:23b,count:1,id:"minecraft:spyglass"},{Slot:24b,components:{"minecraft:custom_name":'{"color":"white","italic":false,"text":"Compass"}',"minecraft:lodestone_tracker":{target:{dimension:"minecraft:overworld",pos:[I;100000,63,-1000000]},tracked:0b},"minecraft:lore":['{"color":"gray","italic":false,"text":"Always points to the north."}','""','{"color":"red","italic":false,"text":"             North"}','{"color":"gray","italic":false,"text":"       West   +    East"}','{"color":"gray","italic":false,"text":"             South "}']},count:1,id:"minecraft:compass"},{Slot:25b,components:{"minecraft:custom_model_data":6269014,"minecraft:custom_name":'{"color":"light_purple","italic":false,"text":"Camera"}',"minecraft:lore":['{"color":"gray","italic":false,"text":"Use it to take some"}','{"color":"gray","italic":false,"text":"pictures."}']},count:1,id:"minecraft:warped_fungus_on_a_stick"},{Slot:26b,components:{"minecraft:custom_model_data":6269003,"minecraft:custom_name":'{"color":"gold","italic":false,"text":"Locations to find"}',"minecraft:lore":['{"color":"white","italic":false,"text":""}','{"color":"white","italic":false,"text":"Go and find all the places"}','{"color":"white","italic":false,"text":"inside and photograph"}','{"color":"white","italic":false,"text":"them yourself from the"}','{"color":"white","italic":false,"text":"same position."}'],"minecraft:written_book_content":{author:"the Pumalu",pages:[{raw:'{"extra":["\\n",{"color":"red","text":"      Picture No. 1"},"\\n",{"color":"blue","text":"         Windmills"},"\\n\\n\\n\\n\\n\\n\\n\\n",{"color":"white","text":""}],"text":""}'},{raw:'{"extra":["\\n",{"color":"red","text":"      Picture No. 2"},"\\n",{"color":"blue","text":"        Pool Palm"},"\\n\\n\\n\\n\\n\\n\\n\\n",{"color":"white","text":""}],"text":""}'},{raw:'{"extra":["\\n",{"color":"red","text":"      Picture No. 3"},"\\n",{"color":"blue","text":"           Cave"},"\\n\\n\\n\\n\\n\\n\\n\\n",{"color":"white","text":""},"\\n "],"text":""}'},{raw:'{"extra":["\\n",{"color":"red","text":"      Picture No. 4"},"\\n",{"color":"blue","text":"   Secluded Painting"},"\\n\\n\\n\\n\\n\\n\\n\\n",{"color":"white","text":""},"\\n "],"text":""}'},{raw:'{"extra":["\\n",{"color":"red","text":"      Picture No. 5"},"\\n",{"color":"blue","text":"          Fossil"},"\\n\\n\\n\\n\\n\\n\\n\\n",{"color":"white","text":""},"\\n "],"text":""}'},{raw:'{"extra":["\\n",{"color":"red","text":"      Picture No. 6"},"\\n",{"color":"blue","text":"    Amusement Park"},"\\n\\n\\n\\n\\n\\n\\n\\n",{"color":"white","text":""},"\\n "],"text":""}'},{raw:'{"extra":["\\n",{"color":"red","text":"      Picture No. 7"},"\\n",{"color":"blue","text":"       Pirate Ship"},"\\n\\n\\n\\n\\n\\n\\n\\n",{"color":"white","text":""},"\\n "],"text":""}'}],resolved:1b,title:{raw:"Photo Album"}}},count:1,id:"minecraft:written_book"}]}
#happy clam shop
#data merge block -20 65 81 {CustomName:'"Fireworks for you and me!"',Items:[{Slot:1b,components:{"minecraft:fireworks":{explosions:[{colors:[I;11743532],has_twinkle:1b,shape:"small_ball"},{colors:[I;15435844],has_twinkle:1b,shape:"small_ball"},{colors:[I;14602026],has_twinkle:1b,shape:"small_ball"},{colors:[I;4312372],has_twinkle:1b,shape:"small_ball"},{colors:[I;6719955],has_twinkle:1b,shape:"small_ball"},{colors:[I;2437522],has_twinkle:1b,shape:"small_ball"},{colors:[I;8073150],has_twinkle:1b,shape:"small_ball"}],flight_duration:1b}},count:2,id:"minecraft:firework_rocket"},{Slot:2b,components:{"minecraft:fireworks":{explosions:[{colors:[I;11743532],has_twinkle:1b,shape:"small_ball"},{colors:[I;15435844],has_twinkle:1b,shape:"small_ball"},{colors:[I;14602026],has_twinkle:1b,shape:"small_ball"},{colors:[I;4312372],has_twinkle:1b,shape:"small_ball"},{colors:[I;6719955],has_twinkle:1b,shape:"small_ball"},{colors:[I;2437522],has_twinkle:1b,shape:"small_ball"},{colors:[I;8073150],has_twinkle:1b,shape:"small_ball"}],flight_duration:1b}},count:3,id:"minecraft:firework_rocket"},{Slot:4b,components:{"minecraft:fireworks":{explosions:[{colors:[I;11743532],has_twinkle:1b,shape:"small_ball"},{colors:[I;15435844],has_twinkle:1b,shape:"small_ball"},{colors:[I;14602026],has_twinkle:1b,shape:"small_ball"},{colors:[I;4312372],has_twinkle:1b,shape:"small_ball"},{colors:[I;6719955],has_twinkle:1b,shape:"small_ball"},{colors:[I;2437522],has_twinkle:1b,shape:"small_ball"},{colors:[I;8073150],has_twinkle:1b,shape:"small_ball"}],flight_duration:1b}},count:4,id:"minecraft:firework_rocket"},{Slot:6b,components:{"minecraft:fireworks":{explosions:[{colors:[I;11743532],has_twinkle:1b,shape:"small_ball"},{colors:[I;15435844],has_twinkle:1b,shape:"small_ball"},{colors:[I;14602026],has_twinkle:1b,shape:"small_ball"},{colors:[I;4312372],has_twinkle:1b,shape:"small_ball"},{colors:[I;6719955],has_twinkle:1b,shape:"small_ball"},{colors:[I;2437522],has_twinkle:1b,shape:"small_ball"},{colors:[I;8073150],has_twinkle:1b,shape:"small_ball"}],flight_duration:1b}},count:6,id:"minecraft:firework_rocket"},{Slot:7b,components:{"minecraft:fireworks":{explosions:[{colors:[I;11743532],has_twinkle:1b,shape:"small_ball"},{colors:[I;15435844],has_twinkle:1b,shape:"small_ball"},{colors:[I;14602026],has_twinkle:1b,shape:"small_ball"},{colors:[I;4312372],has_twinkle:1b,shape:"small_ball"},{colors:[I;6719955],has_twinkle:1b,shape:"small_ball"},{colors:[I;2437522],has_twinkle:1b,shape:"small_ball"},{colors:[I;8073150],has_twinkle:1b,shape:"small_ball"}],flight_duration:1b}},count:2,id:"minecraft:firework_rocket"},{Slot:9b,components:{"minecraft:fireworks":{explosions:[{colors:[I;11743532],has_twinkle:1b,shape:"small_ball"},{colors:[I;15435844],has_twinkle:1b,shape:"small_ball"},{colors:[I;14602026],has_twinkle:1b,shape:"small_ball"},{colors:[I;4312372],has_twinkle:1b,shape:"small_ball"},{colors:[I;6719955],has_twinkle:1b,shape:"small_ball"},{colors:[I;2437522],has_twinkle:1b,shape:"small_ball"},{colors:[I;8073150],has_twinkle:1b,shape:"small_ball"}],flight_duration:1b}},count:2,id:"minecraft:firework_rocket"},{Slot:10b,components:{"minecraft:fireworks":{explosions:[{colors:[I;11743532],has_twinkle:1b,shape:"small_ball"},{colors:[I;15435844],has_twinkle:1b,shape:"small_ball"},{colors:[I;14602026],has_twinkle:1b,shape:"small_ball"},{colors:[I;4312372],has_twinkle:1b,shape:"small_ball"},{colors:[I;6719955],has_twinkle:1b,shape:"small_ball"},{colors:[I;2437522],has_twinkle:1b,shape:"small_ball"},{colors:[I;8073150],has_twinkle:1b,shape:"small_ball"}],flight_duration:1b}},count:9,id:"minecraft:firework_rocket"},{Slot:11b,components:{"minecraft:fireworks":{explosions:[{colors:[I;11743532],has_twinkle:1b,shape:"small_ball"},{colors:[I;15435844],has_twinkle:1b,shape:"small_ball"},{colors:[I;14602026],has_twinkle:1b,shape:"small_ball"},{colors:[I;4312372],has_twinkle:1b,shape:"small_ball"},{colors:[I;6719955],has_twinkle:1b,shape:"small_ball"},{colors:[I;2437522],has_twinkle:1b,shape:"small_ball"},{colors:[I;8073150],has_twinkle:1b,shape:"small_ball"}],flight_duration:1b}},count:5,id:"minecraft:firework_rocket"},{Slot:13b,components:{"minecraft:fireworks":{explosions:[{colors:[I;11743532],has_twinkle:1b,shape:"small_ball"},{colors:[I;15435844],has_twinkle:1b,shape:"small_ball"},{colors:[I;14602026],has_twinkle:1b,shape:"small_ball"},{colors:[I;4312372],has_twinkle:1b,shape:"small_ball"},{colors:[I;6719955],has_twinkle:1b,shape:"small_ball"},{colors:[I;2437522],has_twinkle:1b,shape:"small_ball"},{colors:[I;8073150],has_twinkle:1b,shape:"small_ball"}],flight_duration:1b}},count:4,id:"minecraft:firework_rocket"},{Slot:14b,components:{"minecraft:fireworks":{explosions:[{colors:[I;11743532],has_twinkle:1b,shape:"small_ball"},{colors:[I;15435844],has_twinkle:1b,shape:"small_ball"},{colors:[I;14602026],has_twinkle:1b,shape:"small_ball"},{colors:[I;4312372],has_twinkle:1b,shape:"small_ball"},{colors:[I;6719955],has_twinkle:1b,shape:"small_ball"},{colors:[I;2437522],has_twinkle:1b,shape:"small_ball"},{colors:[I;8073150],has_twinkle:1b,shape:"small_ball"}],flight_duration:1b}},count:9,id:"minecraft:firework_rocket"},{Slot:16b,components:{"minecraft:fireworks":{explosions:[{colors:[I;11743532],has_twinkle:1b,shape:"small_ball"},{colors:[I;15435844],has_twinkle:1b,shape:"small_ball"},{colors:[I;14602026],has_twinkle:1b,shape:"small_ball"},{colors:[I;4312372],has_twinkle:1b,shape:"small_ball"},{colors:[I;6719955],has_twinkle:1b,shape:"small_ball"},{colors:[I;2437522],has_twinkle:1b,shape:"small_ball"},{colors:[I;8073150],has_twinkle:1b,shape:"small_ball"}],flight_duration:1b}},count:4,id:"minecraft:firework_rocket"},{Slot:17b,components:{"minecraft:fireworks":{explosions:[{colors:[I;11743532],has_twinkle:1b,shape:"small_ball"},{colors:[I;15435844],has_twinkle:1b,shape:"small_ball"},{colors:[I;14602026],has_twinkle:1b,shape:"small_ball"},{colors:[I;4312372],has_twinkle:1b,shape:"small_ball"},{colors:[I;6719955],has_twinkle:1b,shape:"small_ball"},{colors:[I;2437522],has_twinkle:1b,shape:"small_ball"},{colors:[I;8073150],has_twinkle:1b,shape:"small_ball"}],flight_duration:1b}},count:2,id:"minecraft:firework_rocket"},{Slot:18b,components:{"minecraft:fireworks":{explosions:[{colors:[I;11743532],has_twinkle:1b,shape:"small_ball"},{colors:[I;15435844],has_twinkle:1b,shape:"small_ball"},{colors:[I;14602026],has_twinkle:1b,shape:"small_ball"},{colors:[I;4312372],has_twinkle:1b,shape:"small_ball"},{colors:[I;6719955],has_twinkle:1b,shape:"small_ball"},{colors:[I;2437522],has_twinkle:1b,shape:"small_ball"},{colors:[I;8073150],has_twinkle:1b,shape:"small_ball"}],flight_duration:1b}},count:1,id:"minecraft:firework_rocket"},{Slot:21b,components:{"minecraft:fireworks":{explosions:[{colors:[I;11743532],has_twinkle:1b,shape:"small_ball"},{colors:[I;15435844],has_twinkle:1b,shape:"small_ball"},{colors:[I;14602026],has_twinkle:1b,shape:"small_ball"},{colors:[I;4312372],has_twinkle:1b,shape:"small_ball"},{colors:[I;6719955],has_twinkle:1b,shape:"small_ball"},{colors:[I;2437522],has_twinkle:1b,shape:"small_ball"},{colors:[I;8073150],has_twinkle:1b,shape:"small_ball"}],flight_duration:1b}},count:4,id:"minecraft:firework_rocket"},{Slot:22b,components:{"minecraft:fireworks":{explosions:[{colors:[I;11743532],has_twinkle:1b,shape:"small_ball"},{colors:[I;15435844],has_twinkle:1b,shape:"small_ball"},{colors:[I;14602026],has_twinkle:1b,shape:"small_ball"},{colors:[I;4312372],has_twinkle:1b,shape:"small_ball"},{colors:[I;6719955],has_twinkle:1b,shape:"small_ball"},{colors:[I;2437522],has_twinkle:1b,shape:"small_ball"},{colors:[I;8073150],has_twinkle:1b,shape:"small_ball"}],flight_duration:1b}},count:4,id:"minecraft:firework_rocket"},{Slot:23b,components:{"minecraft:fireworks":{explosions:[{colors:[I;11743532],has_twinkle:1b,shape:"small_ball"},{colors:[I;15435844],has_twinkle:1b,shape:"small_ball"},{colors:[I;14602026],has_twinkle:1b,shape:"small_ball"},{colors:[I;4312372],has_twinkle:1b,shape:"small_ball"},{colors:[I;6719955],has_twinkle:1b,shape:"small_ball"},{colors:[I;2437522],has_twinkle:1b,shape:"small_ball"},{colors:[I;8073150],has_twinkle:1b,shape:"small_ball"}],flight_duration:1b}},count:2,id:"minecraft:firework_rocket"},{Slot:25b,components:{"minecraft:fireworks":{explosions:[{colors:[I;11743532],has_twinkle:1b,shape:"small_ball"},{colors:[I;15435844],has_twinkle:1b,shape:"small_ball"},{colors:[I;14602026],has_twinkle:1b,shape:"small_ball"},{colors:[I;4312372],has_twinkle:1b,shape:"small_ball"},{colors:[I;6719955],has_twinkle:1b,shape:"small_ball"},{colors:[I;2437522],has_twinkle:1b,shape:"small_ball"},{colors:[I;8073150],has_twinkle:1b,shape:"small_ball"}],flight_duration:1b}},count:1,id:"minecraft:firework_rocket"}]}


#boats
kill @e[type=minecraft:boat]
#village
summon minecraft:boat 153.4 63.52 208.4 {Type: "bamboo", Invulnerable: 0b, Rotation: [-22.0f, 0.0f]}
#port
summon minecraft:boat -11.5 63.52 167.5 {Type: "oak", Invulnerable: 0b, Rotation: [64.0f, 0.0f]}
#amusement park
summon minecraft:boat -54.3 63.52 211.8 {Type: "birch", Invulnerable: 0b, Rotation: [-51.0f, 0.0f]}
#lighthouse
summon minecraft:boat -375.2 63.52 158.5 {Type: "jungle", Invulnerable: 0b, Rotation: [-23.0f, 0.0f]}
#fruit gardens
summon minecraft:boat -212.3 63.52 -69.5 {Type: "acacia", Invulnerable: 0b, Rotation: [-139.0f, 0.0f]}
summon minecraft:boat -80.1 63.52 -250.4 {Type: "birch", Invulnerable: 0b, Rotation: [-95.0f, 0.0f]}
summon minecraft:boat -180.5 63.52 -321.8 {Type: "mangrove", Invulnerable: 0b,Rotation: [168.0f, 0.0f]}
summon minecraft:boat -333.4 63.52 -131.6 {Type: "cherry", Invulnerable: 0b, Rotation: [129.0f, 0.0f]}
#beach
summon minecraft:boat 41.2 63.52 -177.7 {Type: "dark_oak", Invulnerable: 0b, Rotation: [163.0f, 0.0f]}
summon minecraft:boat 46.1 63.52 -261.3 {Type: "mangrove", Invulnerable: 0b, Rotation: [67.0f, 0.0f]}
#theater
summon minecraft:boat 179.6 63.52 -71.9 {Type: "cherry", Invulnerable: 0b, Rotation: [132.0f, 0.0f]}
#sinter cave
summon minecraft:boat 82.4 15.52 8.5 {Type: "cherry", Invulnerable: 0b, Rotation: [156.0f, 0.0f]}
#shipwreck shore
summon minecraft:boat -342.9 63.52 5.5 {Type: "oak", Invulnerable: 0b, Rotation: [57.0f, 0.0f]}
summon minecraft:boat -339.2 63.52 -37.9 {Type: "spruce", Invulnerable: 0b, Rotation: [-120.0f, 0.0f]}
#animal enclosures
summon minecraft:boat 230.92 63.52 121.73 {Type: "birch", Invulnerable: 0b, Rotation: [-30.0f, 0.0f]}
#other areas
summon minecraft:boat -224.7 63.52 -388.2 {Type: "dark_oak", Invulnerable: 0b, Rotation: [-39.0f, 0.0f]}


#emblem trader
#advertiser for the trader
execute positioned 191.5 65.0 -28.5 run function ercerus:npc/advertiser
execute positioned -237.5 66.0 -56.5 run function ercerus:npc/advertiser
execute positioned -462.0 67.0 68.5 run function ercerus:npc/advertiser
#shop
setblock 18 65 128 minecraft:jungle_fence_gate[facing=north,in_wall=false,open=false,powered=false] replace
setblock 14 65 134 minecraft:jungle_fence_gate[facing=east,in_wall=false,open=false,powered=false] replace
execute positioned 18.5 65.0 133.5 run function ercerus:npc/trader
fill 4 -6 113 12 -6 113 minecraft:redstone_block destroy
fill 4 -6 116 12 -6 116 minecraft:bedrock
kill @e[tag=trader_locked_text]
#helmet
summon minecraft:text_display 16.5 66.5 138.5 {text:"{\"text\":\"Buy to Unlock\",\"color\":\"red\"}",interpolation_duration:0,start_interpolation:0,billboard:"center",Tags:[trader_locked_text,helmet_locked_text]}
setblock 16 64 138 minecraft:diorite
#chestplate
summon minecraft:text_display 18.5 66.5 138.5 {text:"{\"text\":\"Buy to Unlock\",\"color\":\"red\"}",interpolation_duration:0,start_interpolation:0,billboard:"center",Tags:[trader_locked_text,chestplate_locked_text]}
setblock 18 64 138 minecraft:diorite
#boots
summon minecraft:text_display 20.5 66.5 138.5 {text:"{\"text\":\"Buy to Unlock\",\"color\":\"red\"}",interpolation_duration:0,start_interpolation:0,billboard:"center",Tags:[trader_locked_text,boots_locked_text]}
setblock 20 64 138 minecraft:diorite
#map
summon minecraft:text_display 22.5 66.5 136.5 {text:"{\"text\":\"Buy to Unlock\",\"color\":\"red\"}",interpolation_duration:0,start_interpolation:0,billboard:"center",Tags:[trader_locked_text,map_locked_text]}
setblock 22 64 136 minecraft:diorite
#collectible tracker
summon minecraft:text_display 22.5 66.5 134.5 {text:"{\"text\":\"Buy to Unlock\",\"color\":\"red\"}",interpolation_duration:0,start_interpolation:0,billboard:"center",Tags:[trader_locked_text,collectible_tracker_locked_text]}
setblock 22 64 134 minecraft:diorite
#health boost
summon minecraft:text_display 22.5 66.5 132.5 {text:"{\"text\":\"Buy to Unlock\",\"color\":\"red\"}",interpolation_duration:0,start_interpolation:0,billboard:"center",Tags:[trader_locked_text,health_boost_locked_text]}
setblock 22 64 132 minecraft:diorite
#double water capacity
summon minecraft:text_display 22.5 66.5 130.5 {text:"{\"text\":\"Buy to Unlock\",\"color\":\"red\"}",interpolation_duration:0,start_interpolation:0,billboard:"center",Tags:[trader_locked_text,2x_water_capacity_locked_text]}
setblock 22 64 130 minecraft:diorite
#automatic sprinkler
summon minecraft:text_display 20.5 66.5 128.5 {text:"{\"text\":\"Buy to Unlock\",\"color\":\"red\"}",interpolation_duration:0,start_interpolation:0,billboard:"center",Tags:[trader_locked_text,automatic_sprinkler_locked_text]}
setblock 20 64 128 minecraft:diorite
#personal yacht
summon minecraft:text_display 14.5 66.5 130.5 {text:"{\"text\":\"Buy to Unlock\",\"color\":\"red\"}",interpolation_duration:0,start_interpolation:0,billboard:"center",Tags:[trader_locked_text,personal_yacht_locked_text]}
setblock 14 64 130 minecraft:diorite
kill @e[tag=personal_yacht_item]
fill -9 64 176 27 73 188 minecraft:air
fill -9 60 176 27 63 188 minecraft:water
fill -5 64 168 -4 67 175 minecraft:air


#flags
kill @e[tag=flag]
execute positioned 90.5 105.5 84.5 run function ercerus:decoration/flag
execute positioned -104.5 105.5 60.5 run function ercerus:decoration/flag
execute positioned -401.5 78.5 442.5 run function ercerus:decoration/flag


#underwater caustics
kill @e[tag=underwater_caustics]
execute positioned 350.5 46.0 -301.5 run function ercerus:decoration/big_underwater_cuastics
execute positioned 350.5 46.0 -332.5 run function ercerus:decoration/big_underwater_cuastics
execute positioned 336.5 46.0 -318.5 run function ercerus:decoration/big_underwater_cuastics
execute positioned 364.5 46.0 -318.5 run function ercerus:decoration/big_underwater_cuastics


#reset the tutorial
setblock -4 -44 329 minecraft:stone_button[face=wall,facing=east,powered=false]
setblock 10 -53 315 minecraft:redstone_block
setblock 10 -53 295 minecraft:redstone_block
setblock 9 -53 207 minecraft:redstone_block
execute positioned 4 -44 328 run kill @e[tag=dynamic_respawn_point,distance=..4]
execute positioned 4 -44 328 run function ercerus:dynamic_respawn_points/place_dynamic_respawn_location
execute positioned 4 -44 328 run tag @e[tag=dynamic_respawn_point,distance=..4] add 180
#goop away employees
execute positioned -2.5 -44.0 305.0 run function ercerus:npc/tourist/goop_away_supervisor
execute positioned -1.5 -44.0 212.5 run function ercerus:npc/tourist/goop_away_employee
execute positioned -2.5 -44.0 214.5 run function ercerus:npc/tourist/goop_away_employee
execute positioned 14.5 -44.0 190.5 run function ercerus:npc/tourist/goop_away_employee
team join no_attacking @e[tag=goop_away_employee]


#scoreboards
scoreboard players reset * shoot_goop_blob_time
scoreboard players reset * spawner_time
scoreboard players reset * deaths
scoreboard players reset * race_time
scoreboard players reset * leaderborad_timeout
scoreboard players reset * hint_art
scoreboard players reset * info
scoreboard objectives setdisplay sidebar
setblock 15 -12 115 minecraft:bedrock
scoreboard objectives setdisplay below_name water_level


#races
tag @a remove finished_race_1
tag @a remove finished_race_2


#ending when enough spawners have been defeated
scoreboard players set 8 constant 8
setblock -13 -6 115 minecraft:redstone_block
setblock -13 -6 118 minecraft:bedrock
setblock -10 -6 115 minecraft:bedrock
setblock -10 -6 119 minecraft:bedrock
setblock -13 -12 115 minecraft:redstone_block
tag @a remove ending_available
clone -14 -17 123 -6 -15 124 16 79 15
fill 23 80 24 26 81 28 minecraft:air
setblock 18 80 21 minecraft:air
kill @e[tag=other_map]
kill @e[tag=playtester_name]


#reset photo quest
execute as @a run function ercerus:camera/reset
setblock -4 -6 115 minecraft:redstone_block
setblock -4 -6 118 minecraft:bedrock


#reset help for struggeling players
setblock 13 -1 115 minecraft:redstone_block
setblock 13 -1 118 minecraft:bedrock


#reset help for players, who can't find the lsat necassary spawners
scoreboard players reset * playtime
setblock 15 -1 115 minecraft:bedrock
setblock 15 -1 118 minecraft:bedrock


#reset all granchio emblems found
setblock 0 -6 115 minecraft:redstone_block
setblock 0 -6 118 minecraft:bedrock


#reset all spawners washed away
setblock -2 -12 115 minecraft:redstone_block
setblock -2 -12 118 minecraft:bedrock

#reset 100 % completion
setblock -2 -6 115 minecraft:redstone_block
setblock -2 -6 118 minecraft:bedrock


#reset multiplayer detector
setblock 11 -1 115 minecraft:redstone_block
setblock 11 -1 118 minecraft:bedrock


#hard and goopocalypse mode
setblock -9 -12 115 minecraft:redstone_block
setblock -4 -44 328 minecraft:lever[face=wall,facing=east,powered=false]
setblock -4 -44 327 minecraft:lever[face=wall,facing=east,powered=false]
fill -4 4 116 -4 5 116 minecraft:bedrock
setblock 4 -1 127 minecraft:redstone_block


#join all friendly entities into one team together with the players, so they no longer attack them, if they get close
team remove no_attacking
team add no_attacking
team modify no_attacking seeFriendlyInvisibles false
team join no_attacking @e[tag=inhabitant]
team join no_attacking @e[tag=tourist]
team join no_attacking @e[tag=decorative_animal]


#level editor
tag @a remove has_editor_book
tag @a remove editor_mode
execute as @a run function ercerus:editor/location/reset
kill @e[tag=placement_marker]
kill @e[tag=level_editor_feature]


#development only, inactive for release
#tag @e[tag=spawner] add inactive


#send all players back to the start of the map
tellraw @a ["",{"text":"[","color":"gold"},{"text":"Adventure Map Helper","color":"light_purple"},{"text":"]","color":"gold"},{"text":" Waiting a few seconds, before the player will be reset, so the world can reset."}]
setblock 15 -6 115 minecraft:redstone_block