#gets executed every game tick



#stop the turbo exhaust if right click is no longer held
execute as @a if entity @s[scores={turbo_exhaust_time=..2}] run effect clear @s minecraft:speed
execute as @a if entity @s[scores={turbo_exhaust_time=..2}] run effect clear @s minecraft:jump_boost
execute as @a if entity @s[scores={turbo_exhaust_time=..2}] run effect clear @s minecraft:dolphins_grace
scoreboard players remove @a[scores={turbo_exhaust_time=1..}] turbo_exhaust_time 1


#stop the rocket thruster if right click is no longer held
#adding [nbt={OnGround:0b}] does not help preventing the lack of upwards momentum which sometimes happens. Also, it shoots the player up a lot higher.
effect clear @a minecraft:levitation
#execute as @a at @s unless entity @e[tag=rocket_thruster_launch_position_marker,distance=..0.001] run effect clear @a minecraft:levitation
#kill @e[tag=rocket_thruster_launch_position_marker,scores={life_time=20..}]


#main
execute as @a[scores={rightClick=1..}] at @s run function ercerus:water_gun/use_item


#water gun water
scoreboard players add @e[type=minecraft:item,tag=water_gun_water] water_gun_water_time 1
kill @e[tag=water_gun_water,scores={water_gun_water_time=100..}]
execute as @e[tag=water_gun_water,limit=50,sort=random,tag=!goop_gun_blob] at @s align xyz run function ercerus:goop_cleanup/clean_up_goop/clean_up_goop_3x3
execute as @e[tag=water_gun_water] at @s if block ~ ~ ~ minecraft:water run kill @s
execute as @e[tag=water_gun_water,limit=50,sort=random,tag=goop_gun_blob] at @s align xyz run function ercerus:goop_cleanup/place_goop/pink_3x3
execute as @e[tag=water_gun_water,nbt={OnGround:1b}] at @s run function ercerus:water_gun/water_ground_impact


#particles
#water gun
execute at @e[tag=water_gun_water,tag=!goop_gun_blob,tag=!reduced_particles,limit=18,sort=random] unless entity @p[distance=..2.0] run particle minecraft:splash ~ ~ ~ 0.1 0.1 0.1 0 22 normal
execute at @e[tag=water_gun_water,tag=!goop_gun_blob,tag=reduced_particles,limit=10,sort=random] unless entity @p[distance=..2.0] run particle minecraft:splash ~ ~ ~ 0.1 0.1 0.1 0 12 normal
execute at @e[tag=water_gun_water,tag=cause_water_spaltter_explosion,limit=10,sort=random] unless entity @p[distance=..3.0] run particle minecraft:cloud ~ ~ ~ 0.1 0.1 0.1 0.05 1 normal
execute at @e[tag=water_gun_water,tag=!goop_gun_blob,limit=18,sort=random] if block ~ ~-0.1 ~ minecraft:lava run particle minecraft:cloud ~ ~ ~ 0.1 0.1 0.1 0.05 3 normal
#goop gun
execute at @e[tag=water_gun_water,tag=goop_gun_blob,tag=!reduced_particles,limit=35,sort=random] unless entity @p[distance=..2.0] run particle minecraft:block{block_state:"minecraft:muddy_mangrove_roots"} ~ ~ ~ 0.1 0.1 0.1 0 5 normal
execute at @e[tag=water_gun_water,tag=goop_gun_blob,tag=reduced_particles,limit=15,sort=random] unless entity @p[distance=..2.0] run particle minecraft:block{block_state:"minecraft:muddy_mangrove_roots"} ~ ~ ~ 0.1 0.1 0.1 0 3 normal


#water level of the gun
execute as @a[gamemode=!spectator] at @s if block ~ ~ ~ #ercerus:all_potentially_water_containing_blocks unless block ~ ~ ~ #ercerus:block_can_contain_water[waterlogged=false] run scoreboard players add @s water_level 10
execute as @a[gamemode=!spectator] if score @s water_level < 200 constant at @s if block ~ ~ ~ #ercerus:all_potentially_water_containing_blocks unless block ~ ~ ~ #ercerus:block_can_contain_water[waterlogged=false] run playsound minecraft:ambient.refill_water_gun ambient @a ~ ~ ~ 0.5 1 0
execute as @a[gamemode=!spectator] at @s if entity @e[tag=sprinkler,distance=..1] run scoreboard players add @s water_level 3
execute as @a[gamemode=!spectator] if score @s water_level < 200 constant at @s if entity @e[tag=sprinkler,distance=..1] run playsound minecraft:ambient.refill_water_gun ambient @a ~ ~ ~ 0.5 1 0
execute as @a if score @s water_level < 0 constant run scoreboard players set @s water_level 0
execute as @a if score @s water_level > 200 constant run scoreboard players set @s water_level 200


#update the bossbar/water level display
execute as @a[tag=red] store result bossbar minecraft:red_water_level value run scoreboard players get @s water_level
execute as @a[tag=blue] store result bossbar minecraft:blue_water_level value run scoreboard players get @s water_level
execute as @a[tag=gold] store result bossbar minecraft:gold_water_level value run scoreboard players get @s water_level
execute as @a[tag=green] store result bossbar minecraft:green_water_level value run scoreboard players get @s water_level
execute as @a[tag=light_purple] store result bossbar minecraft:light_purple_water_level value run scoreboard players get @s water_level
execute as @a[tag=white] store result bossbar minecraft:white_water_level value run scoreboard players get @s water_level
execute as @a[tag=aqua] store result bossbar minecraft:aqua_water_level value run scoreboard players get @s water_level
execute as @a[tag=yellow] store result bossbar minecraft:yellow_water_level value run scoreboard players get @s water_level


#ensure the water level is visible after relogging into the world
bossbar set minecraft:red_water_level players @a[tag=red]
bossbar set minecraft:blue_water_level players @a[tag=blue]
bossbar set minecraft:gold_water_level players @a[tag=gold]
bossbar set minecraft:green_water_level players @a[tag=green]
bossbar set minecraft:light_purple_water_level players @a[tag=light_purple]
bossbar set minecraft:white_water_level players @a[tag=white]
bossbar set minecraft:aqua_water_level players @a[tag=aqua]
bossbar set minecraft:yellow_water_level players @a[tag=yellow]


#puddles
#prevent excessive amounts of puddle formation, as this causes lots of server lag
execute store result score puddle_count count if entity @e[tag=puddle]
execute if score puddle_count count matches 64.. run kill @e[tag=puddle,limit=4,sort=arbitrary]
execute if score puddle_count count matches 64.. run scoreboard players add @e[tag=puddle] puddle_time 1

#puddle evaporaion
scoreboard players add @e[tag=puddle] puddle_time 1
execute as @e[tag=puddle] at @s run tp @s ~ ~-0.00011 ~
execute as @e[tag=puddle,scores={puddle_time=30}] run data merge entity @s {item:{components:{"minecraft:custom_model_data":6269005}}}
execute as @e[tag=puddle,scores={puddle_time=40}] run data merge entity @s {item:{components:{"minecraft:custom_model_data":6269006}}}
execute as @e[tag=puddle,scores={puddle_time=50}] run data merge entity @s {item:{components:{"minecraft:custom_model_data":6269007}}}
execute as @e[tag=puddle,scores={puddle_time=60}] run data merge entity @s {item:{components:{"minecraft:custom_model_data":6269008}}}
execute as @e[tag=puddle,scores={puddle_time=70}] run data merge entity @s {item:{components:{"minecraft:custom_model_data":6269009}}}
execute as @e[tag=puddle,scores={puddle_time=80}] run data merge entity @s {item:{components:{"minecraft:custom_model_data":6269010}}}
kill @e[tag=puddle,scores={puddle_time=90..}]


#stationary sprinklers
execute at @e[tag=sprinkler,tag=!silent] run playsound minecraft:weather.rain ambient @a ~ ~ ~ 0.1 1.8 0


#automatic water sprinkler
execute as @e[tag=automatic_sprinkler] at @s run function ercerus:water_gun/automatic_sprinkler/spray_water


#refill water by picking up water canisters
execute as @a[nbt={Inventory:[{id:"minecraft:light_blue_candle"}]},gamemode=!creative,gamemode=!spectator] at @s run function ercerus:water_gun/pick_up_water_bottle


#reset the interaction of entities with water
tag @e remove just_got_hit_with_water


#reset
scoreboard players set @a sneak 0